/**
 * Creator: INTUITEL Consortium, www.intuitel.eu
 * Contributor: Florian Heberle, University of Applied Sciences Karlsruhe, www.hs-karlsruhe.de
 * Version: [0.01]
 * Date: 2013-10-30
 * Copyright: Copyright (C) INTUITEL Consortium
 * License: The license that applies to this file has not yet been determined
 */
package eu.intuitel.lpmComInterface.communicators;

import eu.intuitel.lpmComInterface.wrappers.LsoOut;
import eu.intuitel.lpmComInterface.wrappers.ReflexOut;
import eu.intuitel.lpmGeneralInterfaces.IEngineCommunicator;
import java.util.List;

/**
 * Communicator instance to access INTUITEL Engine services.
 *
 * @author fhe
 */
public class EngineCommunicator extends BaseCommunicator implements IEngineCommunicator {

    /**
     * Communicator to send data to the INTUITEL Engine.
     */
    public EngineCommunicator() {
    }

    @Override
    public void sendReflex(String learnerId, String mId, Boolean abortsRecom, String courseId, String reason, List<Option> options) {
        send(new ReflexOut(learnerId, mId, abortsRecom, courseId, reason, options));
    }

    @Override
    public void sendLso(String mId, String lId, String cId, boolean ccmUpdateNeeded, boolean cmUpdateNeeded, String lso) {
        send(new LsoOut(mId, lId, cId, ccmUpdateNeeded, cmUpdateNeeded, lso));
    }
}
