/**
 * Creator: INTUITEL Consortium, www.intuitel.eu
 * Contributor: Florian Heberle, University of Applied Sciences Karlsruhe, www.hs-karlsruhe.de
 * Version: [0.01]
 * Date: 2014-05-15
 * Copyright: Copyright (C) INTUITEL Consortium
 * License: The license that applies to this file has not yet been determined
 */
package eu.intuitel.lpmComInterface.utils;

/**
 * Util class to convert values.
 *
 * @author fhe
 */
public class ValueConverterUtil {

    /**
     * Converts the given String to an Integer.
     *
     * @param value String to be parsed
     * @return Returns null in case the String could not be parsed.
     */
    public static Integer toInteger(String value) {
        try {
            return Integer.valueOf(value);
        } catch (NumberFormatException ex) {
            return null;
        }
    }
}
