/**
 * Creator: INTUITEL Consortium, www.intuitel.eu
 * Contributor: Florian Heberle, University of Applied Sciences Karlsruhe, www.hs-karlsruhe.de
 * Version: [0.01]
 * Date: 2014-05-08
 * Copyright: Copyright (C) INTUITEL Consortium
 * License: The license that applies to this file has not yet been determined
 */
package eu.intuitel.lpmComInterface.wrappers;

import eu.intuitel.CommLayer.CommLibrary.LpmServiceConnection;
import eu.intuitel.comm.entities.exceptions.IntuitelException;

/**
 * Base interface for messages leaving the LPM.
 *
 * @author fhe
 */
public interface IOutgoingMsg {

    /**
     * The message ID of the incoming message.
     *
     * @return UUID of the message
     */
    public String getMID();

    /**
     * Sends this message via the given service.
     *
     * @param service Service to use for sending.
     */
    public void send(LpmServiceConnection service) throws IntuitelException;
}
