/**
 * Creator: INTUITEL Consortium, www.intuitel.eu
 * Contributor: Florian Heberle, University of Applied Sciences Karlsruhe, www.hs-karlsruhe.de
 * Version: [0.01]
 * Date: 2014-05-15
 * Copyright: Copyright (C) INTUITEL Consortium
 * License: The license that applies to this file has not yet been determined
 */
package eu.intuitel.lpmComInterface.wrappers;

import eu.intuitel.CommLayer.CommLibrary.LpmServiceConnection;
import eu.intuitel.comm.entities.exceptions.IntuitelException;
import eu.intuitel.comm.entities.lpm.Learners;
import eu.intuitel.lpmComInterface.utils.UuidGenerator;

/**
 * Sends a message to the LMS triggering it to send new learner updates.
 *
 * @author fhe
 */
public class LearnerUpdateOut implements IOutgoingMsg {

    private final eu.intuitel.comm.entities.lpm.Learners ITEM;

    public LearnerUpdateOut() {
        Learners item = new Learners();
        item.setMId(UuidGenerator.generateNewId());
        ITEM = item;
    }

    @Override
    public String getMID() {
        return ITEM.getMId();
    }

    @Override
    public void send(LpmServiceConnection service) throws IntuitelException {
        service.sendPushWithLearnerPolling(ITEM);
    }
}
