/**
 * Creator: INTUITEL Consortium, www.intuitel.eu
 * Contributor: Florian Heberle, University of Applied Sciences Karlsruhe, www.hs-karlsruhe.de
 * Version: [0.01]
 * Date: 2014-05-08
 * Copyright: Copyright (C) INTUITEL Consortium
 * License: The license that applies to this file has not yet been determined
 */
package eu.intuitel.lpmComInterface.wrappers;

import eu.intuitel.CommLayer.CommLibrary.LpmServiceConnection;
import eu.intuitel.comm.entities.exceptions.IntuitelException;
import eu.intuitel.comm.entities.lpm.LmsProfile;
import eu.intuitel.lpmComInterface.utils.UuidGenerator;

/**
 * Wrapper class for LmsProfile request, leaving the LPM.
 *
 * @author fhe
 */
public class LmsProfileOut implements IOutgoingMsg {

    private final eu.intuitel.comm.entities.lpm.LmsProfile ITEM;

    /**
     * Constructor to create a new LmsProfile request.
     */
    public LmsProfileOut() {
        ITEM = new LmsProfile();
        ITEM.setMId(UuidGenerator.generateNewId());
    }

    @Override
    public String getMID() {
        return ITEM.getMId();
    }

    @Override
    public void send(LpmServiceConnection service) throws IntuitelException {
        service.sendLmsProfile(ITEM);
    }
}
