/**
 * Creator: INTUITEL Consortium, www.intuitel.eu
 * Contributor: Florian Heberle, University of Applied Sciences Karlsruhe, www.hs-karlsruhe.de
 * Version: [0.01]
 * Date: 2014-05-15
 * Copyright: Copyright (C) INTUITEL Consortium
 * License: The license that applies to this file has not yet been determined
 */
package eu.intuitel.lpmComInterface.wrappers;

import eu.intuitel.comm.entities.slomRepo.SlomData;

/**
 * Wrapper class for SLOM request, incoming from the repository.
 *
 * @author fhe
 */
public class SlomRequestIn implements IIncomingMsg {

    private final SlomData ITEM;
    private final String MID;

    /**
     * Constructor.
     *
     * @param response Received response from the SLOM repository.
     */
    public SlomRequestIn(SlomData response) {
        ITEM = response;
        MID = response.getmId();
    }

    @Override
    public String getMID() {
        return MID;
    }

    /**
     * Returns the received SLOM data (CCM at 0, CM at 1).
     *
     * @return Array containing the CM and CCM.
     */
    public SlomData getSlom() {
        return ITEM;
    }
}
