/**
 * Creator: INTUITEL Consortium, www.intuitel.eu
 * Contributor: Florian Heberle, University of Applied Sciences Karlsruhe, www.hs-karlsruhe.de
 * Version: [0.01]
 * Date: 2014-05-15
 * Copyright: Copyright (C) INTUITEL Consortium
 * License: The license that applies to this file has not yet been determined
 */
package eu.intuitel.lpmComInterface.wrappers;

import eu.intuitel.CommLayer.CommLibrary.LpmServiceConnection;
import eu.intuitel.comm.entities.exceptions.IntuitelException;
import eu.intuitel.comm.entities.lpm.SlomData;
import eu.intuitel.lpmComInterface.utils.UuidGenerator;

/**
 * Wrapper class for SLOM request, leaving the LPM.
 *
 * @author fhe
 */
public class SlomRequestOut implements IOutgoingMsg {

    private final String MID;
    private final SlomData ITEM;

    /**
     * Creates a new outgoing SLOM request.
     *
     * @param loId ID of the KO to be requested.
     */
    public SlomRequestOut(String loId) {
        MID = UuidGenerator.generateNewId();
        ITEM = new SlomData();
        ITEM.setKoLmsId(loId);
        ITEM.setmId(MID);
    }

    @Override
    public String getMID() {
        return MID;
    }

    @Override
    public void send(LpmServiceConnection service) throws IntuitelException {
        service.sendSlomDataRequest(ITEM);
    }
}
