package eu.intuitel.types;

/**
 * Author: Ovidiu Serban, o.serban@reading.ac.uk.
 * Version: 1, 25/06/2014
 * Created at Intelligent System Research Laboratory,
 * University of Reading, United Kingdom
 * web: http://www.isr.reading.ac.uk/
 * Copyright may apply to this file
 */

public enum ConnectionType {
    Wire("wire"),
    Lte("lte"),
    Hsdpa("hsdpa"),
    Umts("umts"),
    Edge("edge"),
    Unknown("unk");

    private String value;

    ConnectionType(String value) {
        this.value = value;
    }

    public String getValue() {
        return value;
    }

    public static ConnectionType getConnectionType(String value) {
        if (value == null) {
            return Unknown;
        } else {
            value = value.toLowerCase().intern();
            for (ConnectionType item : values()) {
                if (item.value.equals(value)) {
                    return item;
                }
            }
            return Unknown;
        }
    }
}