package eu.intuitel.types;

/**
 * Author: Ovidiu Serban, o.serban@reading.ac.uk.
 * Version: 1, 13/08/2014
 * Created at Intelligent System Research Laboratory,
 * University of Reading, United Kingdom
 * web: http://www.isr.reading.ac.uk/
 * Copyright may apply to this file
 */

public enum Culture {
    Asian("asian", "dfCulture_Asian"),
    European("european", "dfCulture_European"),
    African("african", "dfCulture_African"),
    NorthAmerican("north american", "dfCulture_NorthAmerican"),
    SouthAmerican("south american", "dfCulture_SouthAmerican"),
    Unknown("unknown", "");

    private String label;
    private String dfValue;

    Culture(String label, String dfValue) {
        this.label = label;
        this.dfValue = dfValue;
    }

    public String getLabel() {
        return label;
    }

    public String getDfValue() {
        return dfValue;
    }

    public static Culture getCulture(String value) {
        if (value == null) {
            return Unknown;
        }
        value = value.trim();
        if (value.length() == 0) {
            return Unknown;
        }

        for (Culture item : values()) {
            if (item.label.equalsIgnoreCase(value) || item.dfValue.equalsIgnoreCase(value)) {
                return item;
            }
        }
        return Unknown;
    }
}
