package eu.intuitel.types;

/**
 * Author: Ovidiu Serban, o.serban@reading.ac.uk.
 * Version: 1, 25/06/2014
 * Created at Intelligent System Research Laboratory,
 * University of Reading, United Kingdom
 * web: http://www.isr.reading.ac.uk/
 * Copyright may apply to this file
 */
public enum EqfLevel {
    LVL1(1, "dfEqfLevel_01"),
    LVL2(2, "dfEqfLevel_02"),
    LVL3(3, "dfEqfLevel_03"),
    LVL4(4, "dfEqfLevel_04"),
    LVL5(5, "dfEqfLevel_05"),
    LVL6(6, "dfEqfLevel_06"),
    LVL7(7, "dfEqfLevel_07"),
    LVL8(8, "dfEqfLevel_08"),
    Unknown(0, "");

    private int level;
    private String dfValue;

    EqfLevel(int level, String dfValue) {
        this.level = level;
        this.dfValue = dfValue;
    }

    public int getLevel() {
        return level;
    }

    public String getDfValue() {
        return dfValue;
    }

    public static EqfLevel getLevel(int level) {
        switch (level) {
            case 1:
                return LVL1;
            case 2:
                return LVL2;
            case 3:
                return LVL3;
            case 4:
                return LVL4;
            case 5:
                return LVL5;
            case 6:
                return LVL6;
            case 7:
                return LVL7;
            case 8:
                return LVL8;
            default:
                return Unknown;
        }
    }

    public static EqfLevel getLevel(String dfValue) {
        if (dfValue == null) {
            return Unknown;
        } else {
            dfValue = dfValue.trim();
            for (EqfLevel level : values()) {
                if (level.dfValue.equalsIgnoreCase(dfValue)) {
                    return level;
                }
            }
            return Unknown;
        }
    }
}