/*
 *  
 */

package eu.intuitel.types;

/**
 * Enum for interaction willingness of the learner.
 * @author Florian Heberle
 */
public enum InteractionWillingness {

    Willing ("willing", true),
    Unwilling("unwilling", false);
    
    private final String stringVal;
    private final boolean boolVal;
    
    InteractionWillingness(String stringVal, boolean boolVal) {
        this.stringVal = stringVal;
        this.boolVal = boolVal;
    }

    public static InteractionWillingness convertToEnum(Boolean value) {
        if(value == null){
            return null;
        }
        if(value == Willing.boolVal) {
            return Willing;
        } 
        if(value == Unwilling.boolVal) {
            return Unwilling;
        }
        return null;
    }
    
    public static InteractionWillingness convertToEnum(String value) {
        if(value == null){
            return null;
        }
        if(value.equalsIgnoreCase(Willing.stringVal)) {
            return Willing;
        } 
        if(value.equalsIgnoreCase(Unwilling.stringVal)) {
            return Unwilling;
        }
        return null;
    }

    public static String convertToString(InteractionWillingness value) {
        return value == null ? null : value.stringVal;
    }
    
    public static Boolean convertToBoolean(InteractionWillingness value) {
        return value == null ? null : value.boolVal;
    }
}
