package eu.intuitel.types;

/**
 * Author: Ovidiu Serban, o.serban@reading.ac.uk.
 * Version: 1, 25/06/2014
 * Created at Intelligent System Research Laboratory,
 * University of Reading, United Kingdom
 * web: http://www.isr.reading.ac.uk/
 * Copyright may apply to this file
 */
public enum LearningAttitude {

    motivated,
    unmotivated,
    unknown;

    public static LearningAttitude getLearningAttitude(Boolean flag) {
        if (flag == null) {
            return unknown;
        } else if (flag) {
            return motivated;
        } else {
            return unmotivated;
        }
    }

    public static LearningAttitude getLearningAttitude(String value) {
        if ("Motivated".equalsIgnoreCase(value)) {
            return motivated;
        } else if ("Unmotivated".equalsIgnoreCase(value)) {
            return unmotivated;
        }
        return unknown;
    }

    public static String getLearningAttitude(LearningAttitude attitude) {
        if (motivated == attitude) {
            return "motivated";
        } else if (unmotivated == attitude) {
            return "unmotivated";
        }
        return null;
    }
}
