/*
 *  
 */

package eu.intuitel.types;

import org.apache.commons.lang3.StringUtils;

/**
 * LmsParameter media level.
 * 
 * @author Florian Heberle
 */
public enum MediaLvl {
    
    VideoAndAudio,
    Video,
    Audio;
    
    public static MediaLvl fromString(String value) {
        if (StringUtils.isBlank(value)) {
            return null;
        } else if ("v".equalsIgnoreCase(value)) {
            return Video;
        } else if ("a".equalsIgnoreCase(value)) {
            return Audio;
        } else if ("av".equalsIgnoreCase(value) || "va".equalsIgnoreCase(value)) {
            return VideoAndAudio;
        } 
        return null;
    }

    public static String toString(MediaLvl value) {
        if (value == VideoAndAudio) {
            return "va";
        } else if (value == Video) {
            return "v";
        } else if (value == Audio) {
            return "a";
        } 
        return null;
    }
}
