/*
 *  
 */
package eu.intuitel.types;

/**
 * LMS parameter name formality. 
 * 
 * @author Florian Heberle
 */
public enum NameFormality {

    Neutral,
    Forename,
    Surname,
    ForenameAndSurname;

    public static NameFormality fromInt(Integer value) {
        if (value == null) {
            return null;
        } else if (value == 0) {
            return Neutral;
        } else if (value == 1) {
            return Forename;
        } else if (value == 2) {
            return Surname;
        } else if (value == 3) {
            return ForenameAndSurname;
        }
        return null;
    }

    public static Integer toInt(NameFormality value) {
        if (value == Neutral) {
            return 0;
        } else if (value == Forename) {
            return 1;
        } else if (value == Surname) {
            return 2;
        } else if (value == ForenameAndSurname) {
            return 3;
        }
        return null;
    }
}
