/**
 * Creator: INTUITEL Consortium, www.intuitel.eu
 * Contributor: Florian Heberle, University of Applied Sciences Karlsruhe, www.hs-karlsruhe.de
 * Version: [0.01]
 * Date: 2013-11-19
 * Copyright: Copyright (C) INTUITEL Consortium
 * License: The license that applies to this file has not yet been determined
 */
package eu.intuitel.lpmProcessor.lpReevaluation;

import eu.intuitel.lpmProcessor.models.owlWrapper.abstractTypes.LearningObject;
import eu.intuitel.lpmProcessor.models.owlWrapper.abstractTypes.LearningPathway;
import eu.intuitel.lpmProcessor.utils.DbAccessUtil;
import java.util.List;

/**
 * Interface for LP re-evaluation critia.
 *
 * @author fhe
 */
public interface ILpReevaluationCriterion {

    /**
     * Evaluates if the re-evaluation criterion of this method is met.
     *
     * @param db Communication interface for the user db
     * @param lp Currently selected LP of the type currently in scope
     * @param history History of the learner
     * @return True if the LP selection for the given LP-class should be reevaluated
     */
    public boolean fulfillsCriterion(DbAccessUtil db, LearningPathway lp, List<? extends LearningObject> history);
}
