/**
 * Creator: INTUITEL Consortium, www.intuitel.eu
 * Contributor: Florian Heberle, University of Applied Sciences Karlsruhe, www.hs-karlsruhe.de
 * Version: [0.01]
 * Date: 2013-11-05
 * Copyright: Copyright (C) INTUITEL Consortium
 * License: The license that applies to this file has not yet been determined
 */
package eu.intuitel.lpmProcessor.models.factories;

import eu.intuitel.lpmProcessor.models.owlWrapper.ontologies.Ontology;
import org.semanticweb.owlapi.model.OWLOntology;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
 * Factory class to create new Ontology objects.
 *
 * @author fhe
 */
public class OntologyFactory {

    private static final Logger logger = LoggerFactory.getLogger(OntologyFactory.class);

    /**
     * Creates a new Ontology instance from the given OWLOntology.
     *
     * @param onto OWLOntology to create the Ontology from
     * @return Null on error
     */
    public static Ontology createNewInstance(OWLOntology onto) {
        if (onto == null) {
            logger.error("The given OWLOntology was null.");
            return null;
        }
        return new Ontology(onto);
    }
}
