/**
 * Creator: INTUITEL Consortium, www.intuitel.eu
 * Contributor: Florian Heberle, University of Applied Sciences Karlsruhe, www.hs-karlsruhe.de
 * Version: [0.01]
 * Date: 2013-11-05
 * Copyright: Copyright (C) INTUITEL Consortium
 * License: The license that applies to this file has not yet been determined
 */
package eu.intuitel.lpmProcessor.models.owlWrapper.concreteTypes;

import eu.intuitel.lpmProcessor.models.owlWrapper.abstractTypes.LearningObject;
import eu.intuitel.lpmProcessor.models.owlWrapper.abstractTypes.LearningPathway;
import java.util.Set;
import org.semanticweb.owlapi.model.OWLClass;

/**
 * Class for macro Learning Pathways
 *
 * @author fhe
 */
public class MacroLearningPathway extends LearningPathway {

    /**
     * Creates a new macro LP instance.
     *
     * @param lp OWLClass which represents this LP
     * @param title The dc:title of this element
     * @param description The dc:decription of this element
     */
    public MacroLearningPathway(OWLClass lp, String title, String description) {
        super(lp, title, description);
    }

    @Override
    public Set<ConceptContainer> getStarters() {
        return LearningObject.getAsSubtypedSet(starters, ConceptContainer.class);
    }

    @Override
    public Set<ConceptContainer> getEnders() {
        return LearningObject.getAsSubtypedSet(enders, ConceptContainer.class);
    }

    @Override
    public Set<ConceptContainer> getAllReferences() {
        return LearningObject.getAsSubtypedSet(usages, ConceptContainer.class);
    }

    @Override
    public <LO extends LearningObject> Set<ConceptContainer> getReferenceesFor(LO referencer) {
        return LearningObject.getAsSubtypedSet(super.getReferenceesFor(referencer), ConceptContainer.class);
    }

    @Override
    public <LO extends LearningObject> Set<ConceptContainer> getReferencersFor(LO referencee) {
        return LearningObject.getAsSubtypedSet(super.getReferencersFor(referencee), ConceptContainer.class);
    }
}
