/**
 * Creator: INTUITEL Consortium, www.intuitel.eu
 * Contributor: Florian Heberle, University of Applied Sciences Karlsruhe, www.hs-karlsruhe.de
 * Version: [0.01]
 * Date: 24.06.2014
 * Copyright: Copyright (C) INTUITEL Consortium
 * License: The license that applies to this file has not yet been determined
 */
package eu.intuitel.lpmProcessor.models.reflex;

import eu.intuitel.lpmGeneralInterfaces.IEngineCommunicator.Option;
import eu.intuitel.lpmProcessor.models.SlomMetadata;
import eu.intuitel.lpmProcessor.models.owlWrapper.concreteTypes.MacroLearningPathway;

/**
 * Reflex message being triggered when the user has not yet selected a macro LP.
 *
 * @author Florian Heberle
 */
public class ReflexMacroLpNotSet extends Reflex implements ILearnerReflex {

    /**
     * Constructor.
     *
     * @param mId Message ID of the learner update that triggered the reflex
     * @param lId Learner ID who triggered the learner update
     * @param cId Course ID of the course the learner is currently learning on
     * @param slom Slom data of the current course
     */
    public ReflexMacroLpNotSet(String mId, String lId, String cId, SlomMetadata slom) {
        super(mId, lId, cId, true);
        for (MacroLearningPathway lp : slom.getMacroLps()) {
            OPTIONS.add(new Option("possibleMacroLp", lp.getIriAsString(), lp.getTitle(), lp.getDescription()));
        }
    }
}
