/**
 * Creator: INTUITEL Consortium, www.intuitel.eu
 * Contributor: Florian Heberle, University of Applied Sciences Karlsruhe, www.hs-karlsruhe.de
 * Version: [0.01]
 * Date: 24.06.2014
 * Copyright: Copyright (C) INTUITEL Consortium
 * License: The license that applies to this file has not yet been determined
 */
package eu.intuitel.lpmProcessor.models.reflex;

/**
 * Reflex message being triggered when the LPM was not able to find a suitable CC.
 *
 * @author Florian Heberle
 */
public class ReflexNoCurrentCc extends Reflex implements IErrorReflex {

    /**
     * Constructor.
     *
     * @param mId Message ID of the learner update that triggered the reflex
     * @param lId Learner ID who triggered the learner update
     * @param cId Course ID of the course the learner is currently learning on
     */
    public ReflexNoCurrentCc(String mId, String lId, String cId) {
        super(mId, lId, cId, true);
    }
}
