/**
 * Creator: INTUITEL Consortium, www.intuitel.eu
 * Contributor: Florian Heberle, University of Applied Sciences Karlsruhe, www.hs-karlsruhe.de
 * Version: [0.01]
 * Date: 23.07.2014
 * Copyright: Copyright (C) INTUITEL Consortium
 * License: The license that applies to this file has not yet been determined
 */
package eu.intuitel.lpmProcessor;

import eu.intuitel.db.access.DbAccessException;
import eu.intuitel.db.access.DbAccessor;
import static org.junit.Assert.assertNotNull;

/**
 * Commons for tests to easier switch test config.
 *
 * @author Florian Heberle
 */
public class TestCommons {

    private static DbAccessor accessor;
    private static final ConType conType = ConType.Cached; //Change here to switch config.

    public enum ConType {

        Cached,
        Hibernate
    }

    public static DbAccessor getAccessor() {
        try {
            accessor = conType == ConType.Cached
                    ? DbAccessor.createCachedDbAccessor()
                    : DbAccessor.createHibernateDbAccessor();
            return accessor;
        } catch (DbAccessException ex) {
            assertNotNull(ex);
            return null;
        }
    }

    public static void clearDataStorage() {
        if (accessor != null) {
            accessor.clearDataStorage();
        }
    }
}
