/**
 * Creator: INTUITEL Consortium, www.intuitel.eu
 * Contributor: Florian Heberle, University of Applied Sciences Karlsruhe, www.hs-karlsruhe.de
 * Version: [0.01]
 * Date: 30.07.2014
 * Copyright: Copyright (C) INTUITEL Consortium
 * License: The license that applies to this file has not yet been determined
 */
package eu.intuitel.lpmProcessor.didacticFactors;

import eu.intuitel.lpmProcessor.models.SlomMetadata;
import eu.intuitel.lpmProcessor.models.owlWrapper.concreteTypes.KnowledgeObject;
import eu.intuitel.lpmProcessor.test.mocks.SlomTestData01;
import java.util.ArrayList;
import java.util.List;
import static org.junit.Assert.*;
import org.junit.Test;

/**
 * Test for DF absolute course time exposure
 *
 * @author Florian Heberle
 */
public class DfAbsoluteCourseTimeExposureTest {

    @Test
    public void testGetValue() {
        SlomTestData01 slomData = SlomTestData01.getInstance();
        SlomMetadata slom = slomData.getSlom();
        List<KnowledgeObject> completedKos = new ArrayList<>();

        assertEquals(null, DfAbsoluteCourseTimeExposure.getValue(completedKos, slom));

        completedKos.add(slomData.getKo01()); //ELT of 42000
        assertEquals(new Long(50), DfAbsoluteCourseTimeExposure.getValue(completedKos, slom));

        completedKos.add(slomData.getKo02()); //ELT of 42000
        assertEquals(new Long(100), DfAbsoluteCourseTimeExposure.getValue(completedKos, slom));

        completedKos.add(slomData.getKo03()); //ELT null
        assertEquals(new Long(100), DfAbsoluteCourseTimeExposure.getValue(completedKos, slom));
    }
}
