/**
 * Creator: INTUITEL Consortium, www.intuitel.eu
 * Contributor: Florian Heberle, University of Applied Sciences Karlsruhe, www.hs-karlsruhe.de
 * Version: [0.01]
 * Date: 06.08.2014
 * Copyright: Copyright (C) INTUITEL Consortium
 * License: The license that applies to this file has not yet been determined
 */
package eu.intuitel.lpmProcessor.didacticFactors;

import eu.intuitel.lpmProcessor.models.SlomMetadata;
import eu.intuitel.lpmProcessor.models.owlWrapper.concreteTypes.ConceptContainer;
import eu.intuitel.lpmProcessor.models.owlWrapper.concreteTypes.KnowledgeObject;
import eu.intuitel.lpmProcessor.test.mocks.SlomTestData04;
import java.util.ArrayList;
import java.util.List;
import static org.junit.Assert.*;
import org.junit.Test;

/**
 * Test for DfLastCcCompletion
 *
 * @author Florian Heberle
 */
public class DfLastCcCompletionTest {

    @Test
    public void testGetValue() {
        SlomTestData04 slomData = SlomTestData04.getInstance();
        SlomMetadata slom = slomData.getSlom();
        List<ConceptContainer> historyOfCCs = new ArrayList<>();
        List<KnowledgeObject> historyOfKOs = new ArrayList<>();
        List<KnowledgeObject> completedKOs = new ArrayList<>();

        assertEquals(null, DfLastCcCompletion.getValue(slom, historyOfCCs, historyOfKOs, completedKOs));

        historyOfCCs.add(0, slomData.getCc01());
        historyOfKOs.add(0, slomData.getKo01());
        assertEquals(null, DfLastCcCompletion.getValue(slom, historyOfCCs, historyOfKOs, completedKOs));

        historyOfCCs.add(0, slomData.getCc01());
        historyOfKOs.add(0, slomData.getKo02());
        assertEquals(null, DfLastCcCompletion.getValue(slom, historyOfCCs, historyOfKOs, completedKOs));

        historyOfCCs.add(0, slomData.getCc02());
        historyOfKOs.add(0, slomData.getKo03());
        assertEquals(new Integer(0), DfLastCcCompletion.getValue(slom, historyOfCCs, historyOfKOs, completedKOs));

        completedKOs.add(0, slomData.getKo01());
        assertEquals(new Integer(50), DfLastCcCompletion.getValue(slom, historyOfCCs, historyOfKOs, completedKOs));

        completedKOs.add(0, slomData.getKo02());
        assertEquals(new Integer(100), DfLastCcCompletion.getValue(slom, historyOfCCs, historyOfKOs, completedKOs));
    }
}
