/**
 * Creator: INTUITEL Consortium, www.intuitel.eu
 * Contributor: Florian Heberle, University of Applied Sciences Karlsruhe, www.hs-karlsruhe.de
 * Version: [0.01]
 * Date: 26.09.2014
 * Copyright: Copyright (C) INTUITEL Consortium
 * License: The license that applies to this file has not yet been determined
 */
package eu.intuitel.lpmProcessor.didacticFactors;

import eu.intuitel.lpmProcessor.models.owlWrapper.concreteTypes.ConceptContainer;
import eu.intuitel.lpmProcessor.models.owlWrapper.concreteTypes.MacroLearningPathway;
import eu.intuitel.lpmProcessor.test.mocks.SlomTestData01;
import java.util.ArrayList;
import java.util.Collection;
import org.junit.Test;
import static org.junit.Assert.*;

/**
 * Test for the DF determining the total CC completion in context of the current MLP.
 * @author Florian Heberle
 */
public class DfTotalCcCompletionTest {
    
    @Test
    public void testGetDfValue() {
        //SlomTestData01: 1 MacroLp, 2 directly connected CCs
        MacroLearningPathway macroLp = null;
        Collection<ConceptContainer> completedCcs = new ArrayList<>();
        
        assertEquals(null, DfTotalCcCompletion.getDfValue(macroLp, completedCcs));
                
        macroLp = SlomTestData01.getInstance().getMacroLp01();
        assertEquals(new Integer(0), DfTotalCcCompletion.getDfValue(macroLp, completedCcs));
        
        completedCcs.add(SlomTestData01.getInstance().getCc01());
        assertEquals(new Integer(50), DfTotalCcCompletion.getDfValue(macroLp, completedCcs));
        
        completedCcs.add(SlomTestData01.getInstance().getCc02());
        assertEquals(new Integer(100), DfTotalCcCompletion.getDfValue(macroLp, completedCcs));
    }
}
