/**
 * Creator: INTUITEL Consortium, www.intuitel.eu
 * Contributor: Florian Heberle, University of Applied Sciences Karlsruhe, www.hs-karlsruhe.de
 * Version: [0.01]
 * Date: 2014-03-14
 * Copyright: Copyright (C) INTUITEL Consortium
 * License: The license that applies to this file has not yet been determined
 */
package eu.intuitel.lpmProcessor.models.factories;

import eu.intuitel.lpmProcessor.OntoMngr;
import eu.intuitel.lpmProcessor.models.owlWrapper.ontologies.LearningModelOntology;
import org.junit.AfterClass;
import org.junit.Test;
import static org.junit.Assert.*;
import org.junit.BeforeClass;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
 * Tests the LMO creation via the LMO factory.
 *
 * @author fhe
 */
public class LearningModelOntologyFactoryTest {

    private static final Logger LOGGER = LoggerFactory.getLogger(LearningModelOntologyFactoryTest.class);
    private static LearningModelOntology lmo;

    @BeforeClass
    public static void beforeClass() {
        LOGGER.info("Starting tests.");
        lmo = OntoMngr.LMO;
    }

    @AfterClass
    public static void afterClass() {
        LOGGER.info("Finished tests.");
    }

    @Test
    public void testCreateNewInstance() {
        assertNotNull("LMO is null.", lmo);
        assertTrue("LMO contains no DFs.", !lmo.getDidacticFactors().isEmpty());
    }
}
