/**
 * Creator: INTUITEL Consortium, www.intuitel.eu
 * Contributor: Florian Heberle, University of Applied Sciences Karlsruhe, www.hs-karlsruhe.de
 * Version: [0.01]
 * Date: 2014-06-10
 * Copyright: Copyright (C) INTUITEL Consortium
 * License: The license that applies to this file has not yet been determined
 */
package eu.intuitel.lpmProcessor.models.factories;

import eu.intuitel.lpmProcessor.OntoMngr;
import eu.intuitel.lpmProcessor.models.owlWrapper.ontologies.PedagogicalOntology;
import org.junit.AfterClass;
import org.junit.BeforeClass;
import org.junit.Test;
import static org.junit.Assert.*;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
 * This class tests whether the PO is loaded correctly.
 *
 * @author Florian Heberle
 */
public class PedagogicalOntologyFactoryTest {

    private static final Logger LOGGER = LoggerFactory.getLogger(PedagogicalOntologyFactoryTest.class);
    private static PedagogicalOntology po;

    @BeforeClass
    public static void beforeClass() {
        LOGGER.info("Starting tests.");
        po = OntoMngr.PO;
    }

    @AfterClass
    public static void afterClass() {
        LOGGER.info("Finished tests.");
    }

    @Test
    public void testCreateNewInstance() {
        assertNotNull("PO is null.", po);
    }
}
