/*
 *  
 */
package eu.intuitel.lpmProcessor.models.owlWrapper.concreteTypes;

import eu.intuitel.lpmProcessor.OntoMngr;
import eu.intuitel.lpmProcessor.models.owlWrapper.ontologies.PedagogicalOntology;
import org.junit.AfterClass;
import org.junit.Test;
import static org.junit.Assert.*;
import org.junit.BeforeClass;
import org.semanticweb.owlapi.model.OWLNamedIndividual;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
 * Sample tests to see whether the MT structure is correct.
 *
 * @author Florian Heberle
 */
public class MediaTypeTest {

    private static final Logger LOGGER = LoggerFactory.getLogger(MediaTypeTest.class);

    @BeforeClass
    public static void beforeClass() {
        LOGGER.info("Starting tests.");
    }

    @AfterClass
    public static void afterClass() {
        LOGGER.info("Finished tests.");
    }

    @Test
    public void testGetSuperTypes() {
        MediaType testType = null;
        for (OWLNamedIndividual i : OntoMngr.PO.getOntoObj().getIndividualsInSignature()) {
            if (i.getIRI().toString().equalsIgnoreCase(PedagogicalOntology.BASE_IRI + "mtAudioConferenceSynchronous")) {
                testType = MediaType.createInstance(i);
                break;
            }
        }
        assertNotNull("Test MT is null.", testType);
        assertEquals("More than the expected amount of super types returned for test MT.", 1, testType.getSuperTypes(true).size());
        assertEquals("Not enough super types returned for test MT.", 2, testType.getSuperTypes(false).size());
    }

    @Test
    public void testGetSubTypes() {
        MediaType testType = null;
        for (OWLNamedIndividual i : OntoMngr.PO.getOntoObj().getIndividualsInSignature()) {
            if (i.getIRI().toString().equalsIgnoreCase(PedagogicalOntology.BASE_IRI + "mtCommunicationMedia")) {
                testType = MediaType.createInstance(i);
                break;
            }
        }
        assertNotNull("Test MT is null.", testType);
        assertEquals("More than the expected amount of sub types returned for test MT.", 3, testType.getSubTypes(true).size());
        assertEquals("Not enough sub types returned for test MT.", 12, testType.getSubTypes(false).size());
    }
}
