/**
 * Creator: INTUITEL Consortium, www.intuitel.eu
 * Contributor: Florian Heberle, University of Applied Sciences Karlsruhe, www.hs-karlsruhe.de
 * Version: [0.01]
 * Date: 16.05.2014
 * Copyright: Copyright (C) INTUITEL Consortium
 * License: The license that applies to this file has not yet been determined
 */
package eu.intuitel.lpmProcessor.test.mocks;

import eu.intuitel.lpmGeneralInterfaces.ILmsCommunicator;
import java.util.HashMap;
import java.util.Map;

/**
 * Mock class for LMS interaction.
 *
 * @author Florian Heberle
 */
public class ComLmsMock implements ILmsCommunicator {

    private final Map<String, Map<String, String>> usePerformanceData;
    private final Map<String, String> useEnvironmentData;

    /**
     * Constructor.
     */
    public ComLmsMock() {
        usePerformanceData = new HashMap<>();
        useEnvironmentData = new HashMap<>();
    }

    @Override
    public Map<String, String> getLmsProfile() {
        throw new UnsupportedOperationException("Not supported yet.");
    }

    @Override
    public void sendLearnerUpdate() {
        throw new UnsupportedOperationException("Not supported yet.");
    }

    @Override
    public Map<String, Map<String, String>> getUsePerformanceData(String learnerId) {
        return usePerformanceData;
    }

    @Override
    public Map<String, Map<String, String>> getUsePerformanceData(String learnerId, String... loIds) {
        return usePerformanceData;
    }

    @Override
    public Map<String, String> getUseEnvironmentData(String learnerId) {
        return useEnvironmentData;
    }
}
