/**
 * Creator: INTUITEL Consortium, www.intuitel.eu
 * Contributor: Florian Heberle, University of Applied Sciences Karlsruhe, www.hs-karlsruhe.de
 * Contributor: Alexander Streicher, Fraunhofer IOSB, www.iosb.fraunhofer.de
 * Version: [0.01]
 * Date: 2013-11-05
 * Copyright: Copyright (C) INTUITEL Consortium
 * License: The license that applies to this file has not yet been determined
 */
package eu.intuitel.lpmProcessor.test.mocks;

import eu.intuitel.lpmGeneralInterfaces.ISlomCommunicator;
import java.io.File;

/**
 * Mock class for testing the slom communication.
 * SLOM repo requests will always be forwarded to a specific SLOM intance as specified in the
 * constructor.
 *
 * @author fhe
 */
public class ComSlomMock implements ISlomCommunicator {

    private final SlomFileRefContainer container;

    /**
     * Creates a new SLOM repo communicator mockup.
     *
     * @param ccmPath Path of the CCM to load
     * @param cmPath Path of the CM to load
     */
    public ComSlomMock(String ccmPath, String cmPath) {
        container = new SlomFileRefContainer(new File(ccmPath), new File(cmPath));
    }

    @Override
    public ISlomRefContainer getSlomDataForLo(String loId) {
        return container;
    }
}
