/**
 * Creator: INTUITEL Consortium, www.intuitel.eu
 * Contributor: Florian Heberle, University of Applied Sciences Karlsruhe, www.hs-karlsruhe.de
 * Contributor: Ovidiu Serban, University of Reading, www.reading.ac.uk
 * Contributor: Jaime Costa, University of Reading, www.reading.ac.uk
 * Version: [0.01]
 * Date: 05.11.2013
 * Copyright: Copyright (C) INTUITEL Consortium
 * License: The license that applies to this file has not yet been determined
 */
package eu.intuitel.db;

import eu.intuitel.db.access.DbAccessException;
import eu.intuitel.db.access.DbAccessor;

/**
 * Main class
 *
 * @author Florian Heberle
 */
public class Main {

    public static void main(String[] args) {
        try {
            DbAccessor accessor = DbAccessor.createHibernateDbAccessor();
            accessor.storeMicroLpSelection("intuitelstudent1",
                                           "http://www.intuitel.eu/public/moodleTestCase/intui_CCM.owl#HasMicroLp",
                                           "943474587");
            accessor.storeMacroLpSelection("intuitelstudent1",
                                           "http://www.intuitel.eu/public/moodleTestCase/intui_CM.owl#HasMacroLp",
                                           "943474587");
            System.exit(0);
        } catch (DbAccessException e) {
            System.err.println("ERROR: " + e.getMessage());
            System.exit(-1);
        }
    }
}
