/**
 * Creator: INTUITEL Consortium, www.intuitel.eu
 * Contributor: Florian Heberle, University of Applied Sciences Karlsruhe, www.hs-karlsruhe.de
 * Contributor: Ovidiu Serban, University of Reading, www.reading.ac.uk
 * Contributor: Jaime Costa, University of Reading, www.reading.ac.uk
 * Version: [0.01]
 * Date: 22.07.2014
 * Copyright: Copyright (C) INTUITEL Consortium
 * License: The license that applies to this file has not yet been determined
 */
package eu.intuitel.db.model;
// Generated 22.07.2014 10:30:46 by Hibernate Tools 3.6.0

import javax.persistence.*;
import java.util.Date;

/**
 * ConceptContainerScore generated by hbm2java
 */
@Entity
@Table(name = "conceptcontainerscore", catalog = "intuitel")
public class ConceptContainerScore implements java.io.Serializable, IDbItem {
    private ConceptContainerScoreId id;
    private boolean completed;

    public ConceptContainerScore() {
    }

    public ConceptContainerScore(ConceptContainerScoreId id, boolean completed) {
        this.id = id;
        this.completed = completed;
    }

    @EmbeddedId

    @AttributeOverrides({@AttributeOverride(name = "learnerId",
                                            column = @Column(name = "Learner_Id", nullable = false, length = 50)),
                                @AttributeOverride(name = "conceptContainerIri",
                                                   column = @Column(name = "ConceptContainer_Iri", nullable = false)),
                                @AttributeOverride(name = "courseId",
                                                   column = @Column(name = "CourseId", nullable = false, length = 10)),
                                @AttributeOverride(name = "time",
                                                   column = @Column(name = "Time", nullable = false, length = 19))})
    public ConceptContainerScoreId getId() {
        return this.id;
    }

    public void setId(ConceptContainerScoreId id) {
        this.id = id;
    }

    @Column(name = "Completed", nullable = false)
    public boolean isCompleted() {
        return this.completed;
    }

    public void setCompleted(boolean completed) {
        this.completed = completed;
    }

    @Override
    public boolean isPkEqualTo(IDbItem comparedItem) {
        if (comparedItem != null) {
            if (this.getClass().isInstance(comparedItem)) {
                ConceptContainerScore item = this.getClass().cast(comparedItem);
                if (this.getId().equals(item.getId())) {
                    return true;
                }
            }
        }
        return false;
    }

    public static ConceptContainerScore conceptContainerScore(String learnerId, String conceptContainerIri,
                                                              String courseId, Date time, boolean completed) {
        return new ConceptContainerScore(new ConceptContainerScoreId(learnerId, conceptContainerIri, courseId, time),
                                         completed);
    }
}
