/**
 * Creator: INTUITEL Consortium, www.intuitel.eu
 * Contributor: Florian Heberle, University of Applied Sciences Karlsruhe, www.hs-karlsruhe.de
 * Version: [0.01]
 * Date: 17.07.2014
 * Copyright: Copyright (C) INTUITEL Consortium
 * License: The license that applies to this file has not yet been determined
 */
package eu.intuitel.db.model;

/**
 * Interface for database items for easier handling.
 *
 * @author Florian Heberle
 */
public interface IDbItem {

    /**
     * Checks if the primary keys of the this item matches to the specified item.
     * 
     * @param comparedItem The item being compared to this item
     * @return True if they are equal.
     */
    public boolean isPkEqualTo(IDbItem comparedItem);
}
