/**
 * Creator: INTUITEL Consortium, www.intuitel.eu
 * Contributor: Florian Heberle, University of Applied Sciences Karlsruhe, www.hs-karlsruhe.de
 * Contributor: Ovidiu Serban, University of Reading, www.reading.ac.uk
 * Contributor: Jaime Costa, University of Reading, www.reading.ac.uk
 * Version: [0.01]
 * Date: 22.07.2014
 * Copyright: Copyright (C) INTUITEL Consortium
 * License: The license that applies to this file has not yet been determined
 */
package eu.intuitel.db.model;
// Generated 22.07.2014 10:30:46 by Hibernate Tools 3.6.0

import javax.persistence.*;
import java.util.Date;

@Entity
@Table(name = "knowledgeobjectscore", catalog = "intuitel")
public class KnowledgeObjectScore implements java.io.Serializable, IDbItem {
    private KnowledgeObjectScoreId id;
    private boolean accessed;
    private Integer seenPercentage;
    private Integer textualCompletion;
    private Integer grade;

    public KnowledgeObjectScore() {
    }

    public KnowledgeObjectScore(KnowledgeObjectScoreId id, boolean accessed) {
        this.id = id;
        this.accessed = accessed;
    }

    public KnowledgeObjectScore(KnowledgeObjectScoreId id, boolean accessed, Integer seenPercentage,
                                Integer textualCompletion, Integer grade) {
        this.id = id;
        this.accessed = accessed;
        this.seenPercentage = seenPercentage;
        this.textualCompletion = textualCompletion;
        this.grade = grade;
    }

    @EmbeddedId

    @AttributeOverrides({@AttributeOverride(name = "time",
                                            column = @Column(name = "Time", nullable = false, length = 19)),
                                @AttributeOverride(name = "learnerId",
                                                   column = @Column(name = "Learner_Id", nullable = false,
                                                                    length = 50)),
                                @AttributeOverride(name = "courseId",
                                                   column = @Column(name = "courseId", nullable = false, length = 10)),
                                @AttributeOverride(name = "knowledgeObjectIri",
                                                   column = @Column(name = "KnowledgeObject_Iri", nullable = false))})
    public KnowledgeObjectScoreId getId() {
        return this.id;
    }

    public void setId(KnowledgeObjectScoreId id) {
        this.id = id;
    }

    @Column(name = "Accessed", nullable = false)
    public boolean isAccessed() {
        return this.accessed;
    }

    public void setAccessed(boolean accessed) {
        this.accessed = accessed;
    }

    @Column(name = "SeenPercentage")
    public Integer getSeenPercentage() {
        return this.seenPercentage;
    }

    public void setSeenPercentage(Integer seenPercentage) {
        this.seenPercentage = seenPercentage;
    }

    @Column(name = "TextualCompletion")
    public Integer getTextualCompletion() {
        return this.textualCompletion;
    }

    public void setTextualCompletion(Integer textualCompletion) {
        this.textualCompletion = textualCompletion;
    }

    @Column(name = "Grade")
    public Integer getGrade() {
        return this.grade;
    }

    public void setGrade(Integer grade) {
        this.grade = grade;
    }

    @Override
    public boolean isPkEqualTo(IDbItem comparedItem) {
        if (comparedItem != null) {
            if (this.getClass().isInstance(comparedItem)) {
                KnowledgeObjectScore item = this.getClass().cast(comparedItem);
                if (this.getId().equals(item.getId())) {
                    return true;
                }
            }
        }
        return false;
    }

    public static KnowledgeObjectScore knowledgeObjectScore(String learnerId, String courseId,
                                                            String knowledgeObjectIri, Date time,
                                                            boolean accessed, Integer seenPercentage,
                                                            Integer textualCompletion, Integer grade) {
        return new KnowledgeObjectScore(new KnowledgeObjectScoreId(time, learnerId, knowledgeObjectIri, courseId),
                                        accessed, seenPercentage, textualCompletion, grade);
    }

    public static KnowledgeObjectScore knowledgeObjectScore(String learnerId, String courseId,
                                                            String knowledgeObjectIri, Date time, boolean accessed) {
        return new KnowledgeObjectScore(new KnowledgeObjectScoreId(time, learnerId, knowledgeObjectIri, courseId),
                                        accessed);
    }
}
