/**
 * Creator: INTUITEL Consortium, www.intuitel.eu
 * Contributor: Florian Heberle, University of Applied Sciences Karlsruhe, www.hs-karlsruhe.de
 * Contributor: Ovidiu Serban, University of Reading, www.reading.ac.uk
 * Contributor: Jaime Costa, University of Reading, www.reading.ac.uk
 * Version: [0.01]
 * Date: 22.07.2014
 * Copyright: Copyright (C) INTUITEL Consortium
 * License: The license that applies to this file has not yet been determined
 */
package eu.intuitel.db.model;
// Generated 22.07.2014 10:30:46 by Hibernate Tools 3.6.0

import javax.persistence.AttributeOverride;
import javax.persistence.AttributeOverrides;
import javax.persistence.Column;
import javax.persistence.EmbeddedId;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * LearnerPreference generated by hbm2java
 */
@Entity
@Table(name = "learnerpreference", catalog = "intuitel"
)
public class LearnerPreference implements java.io.Serializable, IDbItem {

    private LearnerPreferenceId id = new LearnerPreferenceId();
    private Integer eqfLevel;
    private Integer difficultyLevel;

    public LearnerPreference() {
    }

    public LearnerPreference(LearnerPreferenceId id) {
        this.id = id;
    }

    public LearnerPreference(LearnerPreferenceId id, Integer eqfLevel, Integer difficultyLevel) {
        this.id = id;
        this.eqfLevel = eqfLevel;
        this.difficultyLevel = difficultyLevel;
    }

    @EmbeddedId

    @AttributeOverrides({
        @AttributeOverride(name = "learnerId", column = @Column(name = "Learner_Id", nullable = false, length = 50)),
        @AttributeOverride(name = "courseId", column = @Column(name = "CourseId", nullable = false, length = 10))})
    public LearnerPreferenceId getId() {
        return this.id;
    }

    public void setId(LearnerPreferenceId id) {
        this.id = id;
    }

    @Column(name = "EqfLevel")
    public Integer getEqfLevel() {
        return this.eqfLevel;
    }

    public void setEqfLevel(Integer eqfLevel) {
        this.eqfLevel = eqfLevel;
    }

    @Column(name = "DifficultyLevel")
    public Integer getDifficultyLevel() {
        return this.difficultyLevel;
    }

    public void setDifficultyLevel(Integer difficultyLevel) {
        this.difficultyLevel = difficultyLevel;
    }

    @Override
    public boolean isPkEqualTo(IDbItem comparedItem) {
        if (comparedItem != null) {
            if (this.getClass().isInstance(comparedItem)) {
                LearnerPreference item = this.getClass().cast(comparedItem);
                if(this.getId().equals(item.getId())) {
                    return true;
                }
            }
        }
        return false;
    }
}
