/**
 * Creator: INTUITEL Consortium, www.intuitel.eu
 * Contributor: Florian Heberle, University of Applied Sciences Karlsruhe, www.hs-karlsruhe.de
 * Contributor: Ovidiu Serban, University of Reading, www.reading.ac.uk
 * Contributor: Jaime Costa, University of Reading, www.reading.ac.uk
 * Version: [0.01]
 * Date: 22.07.2014
 * Copyright: Copyright (C) INTUITEL Consortium
 * License: The license that applies to this file has not yet been determined
 */
package eu.intuitel.db.model;
// Generated 22.07.2014 10:30:46 by Hibernate Tools 3.6.0

import javax.persistence.AttributeOverride;
import javax.persistence.AttributeOverrides;
import javax.persistence.Column;
import javax.persistence.EmbeddedId;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.util.Date;

/**
 * LearningRecommendation generated by hbm2java
 */
@Entity
@Table(name = "learningrecommendation", catalog = "intuitel"
)
public class LearningRecommendation implements java.io.Serializable, IDbItem {

    private LearningRecommendationId id;
    private double recommendationValue;

    public LearningRecommendation() {
    }

    public LearningRecommendation(LearningRecommendationId id, double recommendationValue) {
        this.id = id;
        this.recommendationValue = recommendationValue;
    }

    @EmbeddedId

    @AttributeOverrides({
        @AttributeOverride(name = "learningStepSessionLearnerId", column = @Column(name = "LearningStep_Session_Learner_id", nullable = false, length = 50)),
        @AttributeOverride(name = "learningStepSessionLoginTime", column = @Column(name = "LearningStep_Session_LoginTime", nullable = false, length = 19)),
        @AttributeOverride(name = "learningStepSessionCourseId", column = @Column(name = "LearningStep_Session_CourseId", nullable = false, length = 10)),
        @AttributeOverride(name = "learningStepStartTime", column = @Column(name = "LearningStep_StartTime", nullable = false, length = 19)),
        @AttributeOverride(name = "knowledgeObjectIri", column = @Column(name = "KnowledgeObject_Iri", nullable = false))})
    public LearningRecommendationId getId() {
        return this.id;
    }

    public void setId(LearningRecommendationId id) {
        this.id = id;
    }

    @Column(name = "RecommendationValue", nullable = false, precision = 22, scale = 0)
    public double getRecommendationValue() {
        return this.recommendationValue;
    }

    public void setRecommendationValue(double recommendationValue) {
        this.recommendationValue = recommendationValue;
    }

    @Override
    public boolean isPkEqualTo(IDbItem comparedItem) {
        if (comparedItem != null) {
            if (this.getClass().isInstance(comparedItem)) {
                LearningRecommendation item = this.getClass().cast(comparedItem);
                if(this.getId().equals(item.getId())) {
                    return true;
                }
            }
        }
        return false;
    }

    public static LearningRecommendation learningRecommendation(String learningStepSessionLearnerId,
                                                                Date learningStepSessionLoginTime,
                                                                String learningStepSessionCourseId,
                                                                Date learningStepStartTime,
                                                                String knowledgeObjectIri,
                                                                double recommendationValue) {
        return new LearningRecommendation(new LearningRecommendationId(learningStepSessionLearnerId,
                                                                       learningStepSessionLoginTime,
                                                                       learningStepSessionCourseId,
                                                                       learningStepStartTime, knowledgeObjectIri),
                                          recommendationValue);
    }
}
