/**
 * Creator: INTUITEL Consortium, www.intuitel.eu
 * Contributor: Florian Heberle, University of Applied Sciences Karlsruhe, www.hs-karlsruhe.de
 * Contributor: Ovidiu Serban, University of Reading, www.reading.ac.uk
 * Contributor: Jaime Costa, University of Reading, www.reading.ac.uk
 * Version: [0.01]
 * Date: 22.07.2014
 * Copyright: Copyright (C) INTUITEL Consortium
 * License: The license that applies to this file has not yet been determined
 */
package eu.intuitel.db.model;
// Generated 22.07.2014 10:30:46 by Hibernate Tools 3.6.0

import java.util.Date;
import javax.persistence.Column;
import javax.persistence.Embeddable;

/**
 * LearningRecommendationId generated by hbm2java
 */
@Embeddable
public class LearningRecommendationId implements java.io.Serializable {

    private String learningStepSessionLearnerId;
    private Date learningStepSessionLoginTime;
    private String learningStepSessionCourseId;
    private Date learningStepStartTime;
    private String knowledgeObjectIri;

    public LearningRecommendationId() {
    }

    public LearningRecommendationId(String learningStepSessionLearnerId, Date learningStepSessionLoginTime, String learningStepSessionCourseId, Date learningStepStartTime, String knowledgeObjectIri) {
        this.learningStepSessionLearnerId = learningStepSessionLearnerId;
        this.learningStepSessionLoginTime = learningStepSessionLoginTime;
        this.learningStepSessionCourseId = learningStepSessionCourseId;
        this.learningStepStartTime = learningStepStartTime;
        this.knowledgeObjectIri = knowledgeObjectIri;
    }

    @Column(name = "LearningStep_Session_Learner_id", nullable = false, length = 50)
    public String getLearningStepSessionLearnerId() {
        return this.learningStepSessionLearnerId;
    }

    public void setLearningStepSessionLearnerId(String learningStepSessionLearnerId) {
        this.learningStepSessionLearnerId = learningStepSessionLearnerId;
    }

    @Column(name = "LearningStep_Session_LoginTime", nullable = false, length = 19)
    public Date getLearningStepSessionLoginTime() {
        return this.learningStepSessionLoginTime;
    }

    public void setLearningStepSessionLoginTime(Date learningStepSessionLoginTime) {
        this.learningStepSessionLoginTime = learningStepSessionLoginTime;
    }

    @Column(name = "LearningStep_Session_CourseId", nullable = false, length = 10)
    public String getLearningStepSessionCourseId() {
        return this.learningStepSessionCourseId;
    }

    public void setLearningStepSessionCourseId(String learningStepSessionCourseId) {
        this.learningStepSessionCourseId = learningStepSessionCourseId;
    }

    @Column(name = "LearningStep_StartTime", nullable = false, length = 19)
    public Date getLearningStepStartTime() {
        return this.learningStepStartTime;
    }

    public void setLearningStepStartTime(Date learningStepStartTime) {
        this.learningStepStartTime = learningStepStartTime;
    }

    @Column(name = "KnowledgeObject_Iri", nullable = false)
    public String getKnowledgeObjectIri() {
        return this.knowledgeObjectIri;
    }

    public void setKnowledgeObjectIri(String knowledgeObjectIri) {
        this.knowledgeObjectIri = knowledgeObjectIri;
    }

    public boolean equals(Object other) {
        if ((this == other)) {
            return true;
        }
        if ((other == null)) {
            return false;
        }
        if (!(other instanceof LearningRecommendationId)) {
            return false;
        }
        LearningRecommendationId castOther = (LearningRecommendationId) other;

        return ((this.getLearningStepSessionLearnerId() == castOther.getLearningStepSessionLearnerId()) || (this.getLearningStepSessionLearnerId() != null && castOther.getLearningStepSessionLearnerId() != null && this.getLearningStepSessionLearnerId().equals(castOther.getLearningStepSessionLearnerId())))
                && ((this.getLearningStepSessionLoginTime() == castOther.getLearningStepSessionLoginTime()) || (this.getLearningStepSessionLoginTime() != null && castOther.getLearningStepSessionLoginTime() != null && this.getLearningStepSessionLoginTime().equals(castOther.getLearningStepSessionLoginTime())))
                && ((this.getLearningStepSessionCourseId() == castOther.getLearningStepSessionCourseId()) || (this.getLearningStepSessionCourseId() != null && castOther.getLearningStepSessionCourseId() != null && this.getLearningStepSessionCourseId().equals(castOther.getLearningStepSessionCourseId())))
                && ((this.getLearningStepStartTime() == castOther.getLearningStepStartTime()) || (this.getLearningStepStartTime() != null && castOther.getLearningStepStartTime() != null && this.getLearningStepStartTime().equals(castOther.getLearningStepStartTime())))
                && ((this.getKnowledgeObjectIri() == castOther.getKnowledgeObjectIri()) || (this.getKnowledgeObjectIri() != null && castOther.getKnowledgeObjectIri() != null && this.getKnowledgeObjectIri().equals(castOther.getKnowledgeObjectIri())));
    }

    public int hashCode() {
        int result = 17;

        result = 37 * result + (getLearningStepSessionLearnerId() == null ? 0 : this.getLearningStepSessionLearnerId().hashCode());
        result = 37 * result + (getLearningStepSessionLoginTime() == null ? 0 : this.getLearningStepSessionLoginTime().hashCode());
        result = 37 * result + (getLearningStepSessionCourseId() == null ? 0 : this.getLearningStepSessionCourseId().hashCode());
        result = 37 * result + (getLearningStepStartTime() == null ? 0 : this.getLearningStepStartTime().hashCode());
        result = 37 * result + (getKnowledgeObjectIri() == null ? 0 : this.getKnowledgeObjectIri().hashCode());
        return result;
    }
}
