/**
 * Creator: INTUITEL Consortium, www.intuitel.eu
 * Contributor: Florian Heberle, University of Applied Sciences Karlsruhe, www.hs-karlsruhe.de
 * Contributor: Ovidiu Serban, University of Reading, www.reading.ac.uk
 * Contributor: Jaime Costa, University of Reading, www.reading.ac.uk
 * Version: [0.01]
 * Date: 22.07.2014
 * Copyright: Copyright (C) INTUITEL Consortium
 * License: The license that applies to this file has not yet been determined
 */
package eu.intuitel.db.model;
// Generated 22.07.2014 10:30:46 by Hibernate Tools 3.6.0

import java.util.Date;
import javax.persistence.AttributeOverride;
import javax.persistence.AttributeOverrides;
import javax.persistence.Column;
import javax.persistence.EmbeddedId;
import javax.persistence.Entity;
import javax.persistence.Table;
import javax.persistence.Temporal;
import javax.persistence.TemporalType;

/**
 * LearningStep generated by hbm2java
 */
@Entity
@Table(name = "learningstep", catalog = "intuitel"
)
public class LearningStep implements java.io.Serializable, IDbItem {

    private LearningStepId id;
    private Date stopTime;
    private boolean learningPathwayEval;
    private String knowledgeObjectIri;
    private String conceptContainerIri;

    public LearningStep() {
    }

    public LearningStep(LearningStepId id, boolean learningPathwayEval, String knowledgeObjectIri, String conceptContainerIri) {
        this.id = id;
        this.learningPathwayEval = learningPathwayEval;
        this.knowledgeObjectIri = knowledgeObjectIri;
        this.conceptContainerIri = conceptContainerIri;
    }

    public LearningStep(LearningStepId id, Date stopTime, boolean learningPathwayEval, String knowledgeObjectIri, String conceptContainerIri) {
        this.id = id;
        this.stopTime = stopTime;
        this.learningPathwayEval = learningPathwayEval;
        this.knowledgeObjectIri = knowledgeObjectIri;
        this.conceptContainerIri = conceptContainerIri;
    }

    @EmbeddedId

    @AttributeOverrides({
        @AttributeOverride(name = "sessionLearnerId", column = @Column(name = "Session_Learner_id", nullable = false, length = 50)),
        @AttributeOverride(name = "sessionLoginTime", column = @Column(name = "Session_LoginTime", nullable = false, length = 19)),
        @AttributeOverride(name = "sessionCourseId", column = @Column(name = "Session_CourseId", nullable = false, length = 10)),
        @AttributeOverride(name = "startTime", column = @Column(name = "StartTime", nullable = false, length = 19))})
    public LearningStepId getId() {
        return this.id;
    }

    public void setId(LearningStepId id) {
        this.id = id;
    }

    @Temporal(TemporalType.TIMESTAMP)
    @Column(name = "StopTime", length = 19)
    public Date getStopTime() {
        return this.stopTime;
    }

    public void setStopTime(Date stopTime) {
        this.stopTime = stopTime;
    }

    @Column(name = "LearningPathwayEval", nullable = false)
    public boolean isLearningPathwayEval() {
        return this.learningPathwayEval;
    }

    public void setLearningPathwayEval(boolean learningPathwayEval) {
        this.learningPathwayEval = learningPathwayEval;
    }

    @Column(name = "KnowledgeObject_Iri", nullable = false)
    public String getKnowledgeObjectIri() {
        return this.knowledgeObjectIri;
    }

    public void setKnowledgeObjectIri(String knowledgeObjectIri) {
        this.knowledgeObjectIri = knowledgeObjectIri;
    }

    @Column(name = "ConceptContainer_Iri", nullable = false)
    public String getConceptContainerIri() {
        return this.conceptContainerIri;
    }

    public void setConceptContainerIri(String conceptContainerIiri) {
        this.conceptContainerIri = conceptContainerIiri;
    }

    @Override
    public boolean isPkEqualTo(IDbItem comparedItem) {
        if (comparedItem != null) {
            if (this.getClass().isInstance(comparedItem)) {
                LearningStep item = this.getClass().cast(comparedItem);
                if(this.getId().equals(item.getId())) {
                    return true;
                }
            }
        }
        return false;
    }

    public static LearningStep learningStep(String sessionLearnerId, Date sessionLoginTime,
                                                String sessionCourseId, Date startTime,
                                                boolean learningPathwayEval, String knowledgeObjectIri,
                                                String conceptContainerIri) {
        return new LearningStep(new LearningStepId(sessionLearnerId, sessionLoginTime, sessionCourseId, startTime),
                                learningPathwayEval, knowledgeObjectIri, conceptContainerIri);
    }
}
