/**
 * Creator: INTUITEL Consortium, www.intuitel.eu
 * Contributor: Florian Heberle, University of Applied Sciences Karlsruhe, www.hs-karlsruhe.de
 * Contributor: Ovidiu Serban, University of Reading, www.reading.ac.uk
 * Contributor: Jaime Costa, University of Reading, www.reading.ac.uk
 * Version: [0.01]
 * Date: 22.07.2014
 * Copyright: Copyright (C) INTUITEL Consortium
 * License: The license that applies to this file has not yet been determined
 */
package eu.intuitel.db.model;
// Generated 22.07.2014 10:30:46 by Hibernate Tools 3.6.0

import javax.persistence.*;
import java.util.Date;

/**
 * MacroLearningPathwaySelection generated by hbm2java
 */
@Entity
@Table(name = "macrolearningpathwayselection", catalog = "intuitel")
public class MacroLearningPathwaySelection implements java.io.Serializable, IDbItem {
    private MacroLearningPathwaySelectionId id;

    public MacroLearningPathwaySelection() {
    }

    public MacroLearningPathwaySelection(MacroLearningPathwaySelectionId id) {
        this.id = id;
    }

    @EmbeddedId

    @AttributeOverrides({
                                @AttributeOverride(name = "macroLearningPathwayIri",
                                                   column = @Column(name = "MacroLearningPathway_Iri",
                                                                    nullable = false)),
                                @AttributeOverride(name = "learnerId",
                                                   column = @Column(name = "Learner_Id", nullable = false,
                                                                    length = 50)),
                                @AttributeOverride(name = "courseId",
                                                   column = @Column(name = "CourseId", nullable = false, length = 10)),
                                @AttributeOverride(name = "selectionTime",
                                                   column = @Column(name = "SelectionTime", nullable = false,
                                                                    length = 19))})
    public MacroLearningPathwaySelectionId getId() {
        return this.id;
    }

    public void setId(MacroLearningPathwaySelectionId id) {
        this.id = id;
    }

    @Override
    public boolean isPkEqualTo(IDbItem comparedItem) {
        if (comparedItem != null) {
            if (this.getClass().isInstance(comparedItem)) {
                MacroLearningPathwaySelection item = this.getClass().cast(comparedItem);
                if (this.getId().equals(item.getId())) {
                    return true;
                }
            }
        }
        return false;
    }

    public static MacroLearningPathwaySelection macroLearningPathwaySelection(String macroLearningPathwayIri,
                                                                              String learnerId,
                                                                              String courseId,
                                                                              Date selectionTime) {
        return new MacroLearningPathwaySelection(new MacroLearningPathwaySelectionId(macroLearningPathwayIri,
                                                                                     learnerId,
                                                                                     courseId,
                                                                                     selectionTime));
    }
}
