/**
 * Creator: INTUITEL Consortium, www.intuitel.eu
 * Contributor: Florian Heberle, University of Applied Sciences Karlsruhe, www.hs-karlsruhe.de
 * Contributor: Ovidiu Serban, University of Reading, www.reading.ac.uk
 * Contributor: Jaime Costa, University of Reading, www.reading.ac.uk
 * Version: [0.01]
 * Date: 22.07.2014
 * Copyright: Copyright (C) INTUITEL Consortium
 * License: The license that applies to this file has not yet been determined
 */
package eu.intuitel.db.model;
// Generated 22.07.2014 10:30:46 by Hibernate Tools 3.6.0

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;

/**
 * MicroLearningPathway generated by hbm2java
 */
@Entity
@Table(name = "microlearningpathway", catalog = "intuitel"
)
public class MicroLearningPathway implements java.io.Serializable, IDbItem {

    private String iri;
    private String courseId;
    private String title;
    private String description;

    public MicroLearningPathway() {
    }

    public MicroLearningPathway(String iri, String courseId) {
        this.iri = iri;
        this.courseId = courseId;
    }

    public MicroLearningPathway(String iri, String courseId, String title, String description) {
        this.iri = iri;
        this.courseId = courseId;
        this.title = title;
        this.description = description;
    }

    @Id

    @Column(name = "Iri", unique = true, nullable = false)
    public String getIri() {
        return this.iri;
    }

    public void setIri(String iri) {
        this.iri = iri;
    }

    @Column(name = "CourseId", nullable = false, length = 10)
    public String getCourseId() {
        return this.courseId;
    }

    public void setCourseId(String courseId) {
        this.courseId = courseId;
    }

    @Column(name = "Title")
    public String getTitle() {
        return this.title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    @Column(name = "Description", length = 65535)
    public String getDescription() {
        return this.description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    @Override
    public boolean isPkEqualTo(IDbItem comparedItem) {
        if (comparedItem != null) {
            if (this.getClass().isInstance(comparedItem)) {
                MicroLearningPathway item = this.getClass().cast(comparedItem);
                if(this.getIri().equals(item.getIri())) {
                    return true;
                }
            }
        }
        return false;
    }
}
