/**
 * Creator: INTUITEL Consortium, www.intuitel.eu
 * Contributor: Florian Heberle, University of Applied Sciences Karlsruhe, www.hs-karlsruhe.de
 * Contributor: Ovidiu Serban, University of Reading, www.reading.ac.uk
 * Contributor: Jaime Costa, University of Reading, www.reading.ac.uk
 * Version: [0.01]
 * Date: 22.07.2014
 * Copyright: Copyright (C) INTUITEL Consortium
 * License: The license that applies to this file has not yet been determined
 */
package eu.intuitel.db.model;
// Generated 22.07.2014 10:30:46 by Hibernate Tools 3.6.0

import java.util.Date;
import javax.persistence.AttributeOverride;
import javax.persistence.AttributeOverrides;
import javax.persistence.Column;
import javax.persistence.EmbeddedId;
import javax.persistence.Entity;
import javax.persistence.Table;
import javax.persistence.Temporal;
import javax.persistence.TemporalType;

/**
 * Session generated by hbm2java
 */
@Entity
@Table(name = "session", catalog = "intuitel"
)
public class Session implements java.io.Serializable, IDbItem {

    private SessionId id;
    private Date logoutTime = null;
    private String deviceType;
    private String deviceDpi;
    private Integer deviceVerticalResolution;
    private Integer deviceHorizontalResolution;
    private Date deviceTime;
    private String interactionWillingness;
    private String learningAttitude;

    public Session() {
    }

    public Session(SessionId id) {
        this.id = id;
    }

    public Session(SessionId id, Date logoutTime, String deviceType, String deviceDpi, Integer deviceVerticalResolution, Integer deviceHorizontalResolution, Date deviceTime, String interactionWillingness, String learningAttitude) {
        this.id = id;
        this.logoutTime = logoutTime;
        this.deviceType = deviceType;
        this.deviceDpi = deviceDpi;
        this.deviceVerticalResolution = deviceVerticalResolution;
        this.deviceHorizontalResolution = deviceHorizontalResolution;
        this.deviceTime = deviceTime;
        this.interactionWillingness = interactionWillingness;
        this.learningAttitude = learningAttitude;
    }

    @EmbeddedId

    @AttributeOverrides({
        @AttributeOverride(name = "learnerId", column = @Column(name = "Learner_id", nullable = false, length = 50)),
        @AttributeOverride(name = "loginTime", column = @Column(name = "LoginTime", nullable = false, length = 19)),
        @AttributeOverride(name = "courseId", column = @Column(name = "CourseId", nullable = false, length = 10))})
    public SessionId getId() {
        return this.id;
    }

    public void setId(SessionId id) {
        this.id = id;
    }

    @Temporal(TemporalType.TIMESTAMP)
    @Column(name = "LogoutTime", length = 19)
    public Date getLogoutTime() {
        return this.logoutTime;
    }

    public void setLogoutTime(Date logoutTime) {
        this.logoutTime = logoutTime;
    }

    @Column(name = "DeviceType")
    public String getDeviceType() {
        return this.deviceType;
    }

    public void setDeviceType(String deviceType) {
        this.deviceType = deviceType;
    }

    @Column(name = "DeviceDpi")
    public String getDeviceDpi() {
        return this.deviceDpi;
    }

    public void setDeviceDpi(String deviceDpi) {
        this.deviceDpi = deviceDpi;
    }

    @Column(name = "DeviceVerticalResolution")
    public Integer getDeviceVerticalResolution() {
        return this.deviceVerticalResolution;
    }

    public void setDeviceVerticalResolution(Integer deviceVerticalResolution) {
        this.deviceVerticalResolution = deviceVerticalResolution;
    }

    @Column(name = "DeviceHorizontalResolution")
    public Integer getDeviceHorizontalResolution() {
        return this.deviceHorizontalResolution;
    }

    public void setDeviceHorizontalResolution(Integer deviceHorizontalResolution) {
        this.deviceHorizontalResolution = deviceHorizontalResolution;
    }

    @Temporal(TemporalType.TIMESTAMP)
    @Column(name = "DeviceTime", length = 19)
    public Date getDeviceTime() {
        return this.deviceTime;
    }

    public void setDeviceTime(Date deviceTime) {
        this.deviceTime = deviceTime;
    }

    @Column(name = "InteractionWillingness")
    public String getInteractionWillingness() {
        return this.interactionWillingness;
    }

    public void setInteractionWillingness(String interactionWillingness) {
        this.interactionWillingness = interactionWillingness;
    }

    @Column(name = "LearningAttitude")
    public String getLearningAttitude() {
        return this.learningAttitude;
    }

    public void setLearningAttitude(String learningAttitude) {
        this.learningAttitude = learningAttitude;
    }

    @Override
    public boolean isPkEqualTo(IDbItem comparedItem) {
        if (comparedItem != null) {
            if (this.getClass().isInstance(comparedItem)) {
                Session item = this.getClass().cast(comparedItem);
                if(this.getId().equals(item.getId())) {
                    return true;
                }
            }
        }
        return false;
    }
}
