/**
 * Creator: INTUITEL Consortium, www.intuitel.eu
 * Contributor: Florian Heberle, University of Applied Sciences Karlsruhe, www.hs-karlsruhe.de
 * Contributor: Ovidiu Serban, University of Reading, www.reading.ac.uk
 * Contributor: Jaime Costa, University of Reading, www.reading.ac.uk
 * Version: [0.01]
 * Date: 22.07.2014
 * Copyright: Copyright (C) INTUITEL Consortium
 * License: The license that applies to this file has not yet been determined
 */
package eu.intuitel.db.model;
// Generated 22.07.2014 10:30:46 by Hibernate Tools 3.6.0

import javax.persistence.AttributeOverride;
import javax.persistence.AttributeOverrides;
import javax.persistence.Column;
import javax.persistence.EmbeddedId;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.util.Date;

/**
 * TimedependentSessionData generated by hbm2java
 */
@Entity
@Table(name = "timedependentsessiondata", catalog = "intuitel"
)
public class TimedependentSessionData implements java.io.Serializable, IDbItem {

    private TimedependentSessionDataId id;
    private String connectionType;
    private Integer connectionStability;
    private Integer noiseLevel;
    private Integer batteryLevel;

    public TimedependentSessionData() {
    }

    public TimedependentSessionData(TimedependentSessionDataId id) {
        this.id = id;
    }

    public TimedependentSessionData(TimedependentSessionDataId id, String connectionType, Integer connectionStability, Integer noiseLevel, Integer batteryLevel) {
        this.id = id;
        this.connectionType = connectionType;
        this.connectionStability = connectionStability;
        this.noiseLevel = noiseLevel;
        this.batteryLevel = batteryLevel;
    }

    @EmbeddedId

    @AttributeOverrides({
        @AttributeOverride(name = "sessionLearnerId", column = @Column(name = "Session_Learner_id", nullable = false, length = 50)),
        @AttributeOverride(name = "sessionLoginTime", column = @Column(name = "Session_LoginTime", nullable = false, length = 19)),
        @AttributeOverride(name = "sessionCourseId", column = @Column(name = "Session_CourseId", nullable = false, length = 10)),
        @AttributeOverride(name = "updateTime", column = @Column(name = "UpdateTime", nullable = false, length = 19))})
    public TimedependentSessionDataId getId() {
        return this.id;
    }

    public void setId(TimedependentSessionDataId id) {
        this.id = id;
    }

    @Column(name = "ConnectionType", length = 45)
    public String getConnectionType() {
        return this.connectionType;
    }

    public void setConnectionType(String connectionType) {
        this.connectionType = connectionType;
    }

    @Column(name = "ConnectionStability")
    public Integer getConnectionStability() {
        return this.connectionStability;
    }

    public void setConnectionStability(Integer connectionStability) {
        this.connectionStability = connectionStability;
    }

    @Column(name = "NoiseLevel")
    public Integer getNoiseLevel() {
        return this.noiseLevel;
    }

    public void setNoiseLevel(Integer noiseLevel) {
        this.noiseLevel = noiseLevel;
    }

    @Column(name = "BatteryLevel")
    public Integer getBatteryLevel() {
        return this.batteryLevel;
    }

    public void setBatteryLevel(Integer batteryLevel) {
        this.batteryLevel = batteryLevel;
    }

    @Override
    public boolean isPkEqualTo(IDbItem comparedItem) {
        if (comparedItem != null) {
            if (this.getClass().isInstance(comparedItem)) {
                TimedependentSessionData item = this.getClass().cast(comparedItem);
                if(this.getId().equals(item.getId())) {
                    return true;
                }
            }
        }
        return false;
    }

    public static TimedependentSessionData timedependentSessionData(String sessionLearnerId, Date sessionLoginTime,
                                                                    String sessionCourseId, Date updateTime,
                                                                    String connectionType, Integer connectionStability,
                                                                    Integer noiseLevel, Integer batteryLevel) {
        return new TimedependentSessionData(new TimedependentSessionDataId(sessionLearnerId, sessionLoginTime, sessionCourseId, updateTime),
                                            connectionType, connectionStability, noiseLevel, batteryLevel);
    }
}
