/**
 * Creator: INTUITEL Consortium, www.intuitel.eu
 * Contributor: Florian Heberle, University of Applied Sciences Karlsruhe, www.hs-karlsruhe.de
 * Contributor: Ovidiu Serban, University of Reading, www.reading.ac.uk
 * Version: [0.01]
 * Date: 15.07.2014
 * Copyright: Copyright (C) INTUITEL Consortium
 * License: The license that applies to this file has not yet been determined
 */
package eu.intuitel.db.access;

import org.junit.Test;

import static org.junit.Assert.*;

/**
 * Tests of DbAccessor.
 *
 * @author Florian Heberle
 */
public class DbAccessorTest {
    @Test
    public void testHiberateAccessorCreation() {
        try {
            DbAccessor db = DbAccessor.createHibernateDbAccessor();
            assertNotNull(db);
            assertTrue(db.isConnectionEstablished());
            db.clearDataStorage();
        } catch (DbAccessException ex) {
            fail("Failed to create DB accessor (Hibernate).");
        }
    }

    @Test
    public void testCachedAccessorCreation() {
        try {
            DbAccessor db = DbAccessor.createCachedDbAccessor();
            assertNotNull(db);
            assertTrue(db.isConnectionEstablished());
            db.clearDataStorage();
        } catch (DbAccessException ex) {
            fail("Failed to create DB accessor (Cached).");
        }
    }
}
