/**
 * Creator: INTUITEL Consortium, www.intuitel.eu
 * Contributor: Florian Heberle, University of Applied Sciences Karlsruhe, www.hs-karlsruhe.de
 * Version: [0.01]
 * Date: 21.07.2014
 * Copyright: Copyright (C) INTUITEL Consortium
 * License: The license that applies to this file has not yet been determined
 */
package eu.intuitel.db.access;

import eu.intuitel.db.model.ConceptContainer;
import static org.junit.Assert.*;
import org.junit.BeforeClass;
import org.junit.Test;

/**
 * Various tests for the local DB cache.
 *
 * @author Florian Heberle
 */
public class LocalDbCacheTest {

    private static DbAccessor db;

    @BeforeClass
    public static void setup() throws DbAccessException {
        db = DbAccessor.createCachedDbAccessor();
        assertNotNull(db);
        assertTrue(db.isConnectionEstablished());
    }

    @Test
    public void testStore() {
        String iri = "cacheTestIri";
        String course = "cacheTestCourse";
        String title = "cacheTestTitle";
        String description = "cacheTestDesc";
        assertTrue(db.storeCcData(iri, course, title, description));
        ConceptContainer cc = db.getCcData(iri);
        assertEquals(course, cc.getCourseId());
        assertEquals(title, cc.getTitle());
        assertEquals(description, cc.getDescription());
    }
}
