package eu.intuitel.querybuilder.service.mockup;

import eu.intuitel.comm.entities.qb.QueryBuilderOutput;
import eu.intuitel.comm.entities.qb.ReasoningResults;
import eu.intuitel.querybuilder.util.QueryBuilderUtil;

import eu.intuitel.querybuilder.util.QueryBuilderUtilException;
import org.apache.logging.log4j.LogManager;
import org.apache.logging.log4j.Logger;

/**
 * MockupConnectionListenerImpl.
 *
 * @author Matthias Stumpp (stumpp@fzi.de)
 */
public class MockupConnectionListenerImpl implements MockupConnectionListener {

    /*
     * Logger
     */
    private static final Logger logger = LogManager.getLogger(MockupConnectionListenerImpl.class.getName());

    public void reasoningResultsUpdated(ReasoningResults reasoningResults) {
        logger.info(reasoningResults.toString());
    }

    public void queryBuilderOutputUpdated(QueryBuilderOutput queryBuilderOutput) {
        if (queryBuilderOutput != null) {
            logger.info("QueryBuilderOutput is not null");
            try {
                logger.info(QueryBuilderUtil.asString(queryBuilderOutput, QueryBuilderOutput.class, true));
            } catch (QueryBuilderUtilException e) {
                e.printStackTrace();
            }
        } else {
            logger.info("QueryBuilderOutput is null");
        }
    }

}
