package eu.intuitel.querybuilder.fileserver;

import org.eclipse.jetty.server.Server;
import org.eclipse.jetty.server.ServerConnector;
import org.eclipse.jetty.servlet.DefaultServlet;
import org.eclipse.jetty.servlet.ServletContextHandler;
import org.eclipse.jetty.servlet.ServletHolder;

import java.io.IOException;

/**
 * FileServer to serve imported ontologies.
 *
 * @author Matthias Stumpp (stumpp@fzi.de)
 */
public class FileServer {

    private static final String[] dirs = new String[]{
            "/Users/matthiasstumpp/Dropbox/Projekte/FZI/INTUITEL/WP05/QueryBuilder/src/main/resources/eu/intuitel/querybuilder",
            "/Users/matthiasstumpp/Dropbox/Projekte/FZI/INTUITEL/WP05/QueryBuilder/src/test/resources/eu/intuitel/querybuilder"
    };

    private static Server server = null;

    public static void main(String[] args) {
        try {
            run();
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    public static void run() throws Exception {
        //System.setProperty("org.eclipse.jetty.LEVEL", "INFO");

        if (server != null) {
            throw new Exception("server already running! stop server first by calling stop() method!");
        }

        server = new Server();
        ServerConnector connector = new ServerConnector(server);
        connector.setPort(8081);
        server.addConnector(connector);

        ServletContextHandler context = new ServletContextHandler(ServletContextHandler.SESSIONS);
        context.setContextPath("/");
        server.setHandler(context);

        ServletHolder holderHome = new ServletHolder("static-home", DefaultServlet.class);
        holderHome.setInitParameter("resourceBase", dirs[0]);
        holderHome.setInitParameter("dirAllowed", "true");
        holderHome.setInitParameter("pathInfoOnly", "true");
        context.addServlet(holderHome, "/common/*");

        ServletHolder holderHome2 = new ServletHolder("static-home2", DefaultServlet.class);
        holderHome2.setInitParameter("resourceBase", dirs[1]);
        holderHome2.setInitParameter("dirAllowed", "true");
        holderHome2.setInitParameter("pathInfoOnly", "true");
        context.addServlet(holderHome2, "/custom/*");

        server.start();
        server.dump(System.err);
        server.join();

        return;
    }

    public static void stop() throws Exception {

        if (server == null) {
            throw new Exception("no server running!");
        }

        server.stop();
        server = null;
    }

}