/*
 * Creator: INTUITEL Consortium, www.intuitel.eu
 * Contributor: Ovidiu Serban, ISR Laboratory, University of Reading, UK, http://www.isr.reading.ac.uk/
 * Version: 1.00
 * Date: 2014/9/22
 * Copyright: Copyright (C) INTUITEL Consortium
 * License: The license that applies to this file has not yet been determined
 */

package edu.uk.reading.communication.connection;

public class TimeoutPair<T> {
    private long timestamp;
    private T item;

    public TimeoutPair(long timestamp, T item) {
        this.timestamp = timestamp;
        this.item = item;
    }

    public TimeoutPair(T item) {
        this(System.currentTimeMillis(), item);
    }

    public long getTimestamp() {
        return timestamp;
    }

    public T getItem() {
        return item;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;
        TimeoutPair that = (TimeoutPair) o;
        return timestamp == that.timestamp && item != null ? item.equals(that.item) : that.item == null;
    }

    @Override
    public int hashCode() {
        int result = (int) (timestamp ^ (timestamp >>> 32));
        result = 31 * result + (item != null ? item.hashCode() : 0);
        return result;
    }

    @Override
    public String toString() {
        return "TimeoutPair{" +
               "timestamp=" + timestamp +
               ", item=" + item +
               '}';
    }
}
