/*
 * Creator: INTUITEL Consortium, www.intuitel.eu
 * Contributor: Ovidiu Serban, ISR Laboratory, University of Reading, UK, http://www.isr.reading.ac.uk/
 * Version: 1.00
 * Date: 2014/7/25
 * Copyright: Copyright (C) INTUITEL Consortium
 * License: The license that applies to this file has not yet been determined
 */

package edu.uk.reading.db.fillers;

import edu.uk.reading.dm.common.param.Param;

import javax.xml.bind.annotation.*;
import java.util.List;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlRootElement(name = "dbFiller")
public class DbFiller {
    @XmlAttribute(name = "variable", required = true)
    private String variable;

    @XmlElement(name = "triggerParam", required = true)
    private List<Param> triggerParams;

    public DbFiller() {
    }

    public String getVariable() {
        return variable;
    }

    public void setVariable(String variable) {
        this.variable = variable;
    }

    public List<Param> getTriggerParams() {
        return triggerParams;
    }

    public void setTriggerParams(List<Param> triggerParams) {
        this.triggerParams = triggerParams;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;

        DbFiller dbFiller = (DbFiller) o;

        return triggerParams.equals(dbFiller.triggerParams) && variable.equals(dbFiller.variable);
    }

    @Override
    public int hashCode() {
        int result = variable.hashCode();
        result = 31 * result + triggerParams.hashCode();
        return result;
    }

    @Override
    public String toString() {
        return "DbFiller{" +
               "variable='" + variable + '\'' +
               ", triggerParams=" + triggerParams +
               '}';
    }
}
