/*
 * Creator: INTUITEL Consortium, www.intuitel.eu
 * Contributor: Ovidiu Serban, ISR Laboratory, University of Reading, UK, http://www.isr.reading.ac.uk/
 * Version: 1.00
 * Date: 2014/7/25
 * Copyright: Copyright (C) INTUITEL Consortium
 * License: The license that applies to this file has not yet been determined
 */

package edu.uk.reading.db.fillers;

import javax.xml.bind.annotation.*;
import java.util.List;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlRootElement(name = "dbFillers")
public class DbFillerModel {
    @XmlElementWrapper(name = "dbGetters")
    @XmlElement(name = "dbGetter", required = false)
    private List<DbFiller> dbGetters;

    @XmlElementWrapper(name = "dbSetters")
    @XmlElement(name = "dbSetter", required = false)
    private List<DbFiller> dbSetters;

    public DbFillerModel() {
    }

    public List<DbFiller> getDbGetters() {
        return dbGetters;
    }

    public void setDbGetters(List<DbFiller> dbGetters) {
        this.dbGetters = dbGetters;
    }

    public List<DbFiller> getDbSetters() {
        return dbSetters;
    }

    public void setDbSetters(List<DbFiller> dbSetters) {
        this.dbSetters = dbSetters;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;

        DbFillerModel that = (DbFillerModel) o;

        return dbGetters.equals(that.dbGetters) && dbSetters.equals(that.dbSetters);
    }

    @Override
    public int hashCode() {
        int result = dbGetters.hashCode();
        result = 31 * result + dbSetters.hashCode();
        return result;
    }

    @Override
    public String toString() {
        return "DbFillerModel{" +
               "dbGetters=" + dbGetters +
               ", dbSetters=" + dbSetters +
               '}';
    }
}
