/*
 * Creator: INTUITEL Consortium, www.intuitel.eu
 * Contributor: Ovidiu Serban, ISR Laboratory, University of Reading, UK, http://www.isr.reading.ac.uk/
 * Contributor: Andrea Zielinski, IOSB Fraunhofer, Germany, http://www.iosb.fraunhofer.de/
 * Version: 1.00
 * Date: 2014/7/3
 * Copyright: Copyright (C) INTUITEL Consortium
 * License: The license that applies to this file has not yet been determined
 */

package edu.uk.reading.ranking;

import java.util.Map;

public class RankingResult {
    private String messageID;
    private String userID;

    private Map<String, Integer> rankingResults;

    public RankingResult(String messageID, String userID) {
        setMessageID(messageID);
        setUserID(userID);
    }

    public String getMessageID() {
        return messageID;
    }

    public void setMessageID(String messageID) {
        this.messageID = messageID;
    }

    public String getUserID() {
        return userID;
    }

    public void setUserID(String userID) {
        this.userID = userID;
    }

    public Map<String, Integer> getRankingResults() {
        return rankingResults;
    }

    public void setRankingResults(Map<String, Integer> rankingResults) {
        this.rankingResults = rankingResults;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;

        RankingResult that = (RankingResult) o;

        if (messageID != null ? !messageID.equals(that.messageID) : that.messageID != null) return false;
        if (rankingResults != null ? !rankingResults.equals(that.rankingResults) : that.rankingResults != null)
            return false;
        if (userID != null ? !userID.equals(that.userID) : that.userID != null) return false;

        return true;
    }

    @Override
    public int hashCode() {
        int result = messageID != null ? messageID.hashCode() : 0;
        result = 31 * result + (userID != null ? userID.hashCode() : 0);
        result = 31 * result + (rankingResults != null ? rankingResults.hashCode() : 0);
        return result;
    }

    @Override
    public String toString() {
        return "RankingResult{" +
               "messageID='" + messageID + '\'' +
               ", userID='" + userID + '\'' +
               ", rankingResults=" + rankingResults +
               '}';
    }
}
