/*
 * Creator: INTUITEL Consortium, www.intuitel.eu
 * Contributor: Andrea Zielinski, IOSB Fraunhofer, Germany, http://www.iosb.fraunhofer.de/
 * Version: 1.00
 * Date: 2014/8/3
 * Copyright: Copyright (C) INTUITEL Consortium
 * License: The license that applies to this file has not yet been determined
 */

package eu.intuitel.util;

import eu.intuitel.comm.entities.qb.QueryBuilderOutput;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

 

import java.util.HashMap;
import java.util.List;
 

public class MixedRanking {
	private static Logger logger = LoggerFactory.getLogger(MixedRanking.class);

	// todo; refactor this class due to some potential NPE
	public static HashMap<String, Integer> getMixedResults(
			QueryBuilderOutput QB, List<String> ListSuccs) {
		HashMap<String, Integer> dict = new HashMap<>();
		double DFScore;
		double DFScore2;

		for (String lmsID : ListSuccs) {
			DFScore = 0.0;
			DFScore2 = 0.0;
			String DFValue;

			String DFInstantiatedName = null;
			String DFInstantiatedValue = null;

			// Set of KOs which meet the hard criterion for the DF
			List<String> DFs_HCs = eu.intuitel.util.ParseQBResult.getHardCriterialmsID_DFs(QB, lmsID);
			List<String> DFs_HCVs = eu.intuitel.util.ParseQBResult.getHardCriterialmsID_DFValues(QB, lmsID);

			logger.debug("KOs which meet DF:" + DFs_HCs);
			logger.debug("KOs which meet DF:" + DFs_HCVs);

			// for all DF_Names
			for (String s : DFs_HCs) {
				DFValue = eu.intuitel.util.ParseQBResult.getDidacticFactors_DFValue_ByName(QB, s);
				int weight = DfReader.DFWeights.get(s);

				logger.debug("DFValue:" + DFValue);
				String suitedKO = DfReader.DFCorrespondences.get(DFValue);
				logger.debug(" suitedKO: " + suitedKO);
				DFScore = DFScore + weight;

				if (DFs_HCVs.contains(suitedKO)) {
					// get also Soft Ranking Score
					// Set of KOs which meet the soft criterion for the DF
					List<String> DFs_SCs = eu.intuitel.util.ParseQBResult.getSoftCriterialmsID_DFs(QB, lmsID);
					List<String> DFs_SCVs = eu.intuitel.util.ParseQBResult.getSoftCriterialmsID_DFValues(QB, lmsID);

					logger.debug("KOs which meet DF:" + DFs_SCs);
					logger.debug("KOs which meet DF:" + DFs_SCVs);

					// for all DF_Names

					for (String sc : DFs_SCVs) {
						Double DFTempScore2 = 0.0;

						DFInstantiatedName = ParseQBResult.getSoftCriterialmsID_DFName_ByValue(QB, lmsID, sc);
						DFValue = ParseQBResult.getDidacticFactors_DFValue_ByName(QB,DFInstantiatedName);

						int weight2 = DfReader.DFWeights.get(DFInstantiatedName);
						DFInstantiatedValue = sc;
						DFTempScore2 = DfReader.hashBasedTable.get(DFValue, DFInstantiatedValue);
						DFScore2 = DFScore2 + (DFTempScore2 * weight2);
					}

					Double newDFScore = (DFScore + DFScore2) * 100;
					int h = newDFScore.intValue();
					float b = eu.intuitel.util.DfReader.Max_DfValue;
					dict.put(lmsID, Math.round(h / b));
					logger.debug("lmsID: " + lmsID + " DFScore : " + Math.round(h / b));
				}
			}
		}

		return dict;
	}
}
