/*
 * Creator: INTUITEL Consortium, www.intuitel.eu
 * Contributor: Andrea Zielinski, IOSB Fraunhofer, Germany, http://www.iosb.fraunhofer.de/
 * Version: 1.00
 * Date: 2014/7/3
 * Copyright: Copyright (C) INTUITEL Consortium
 * License: The license that applies to this file has not yet been determined
 */

package eu.intuitel.util;

import eu.intuitel.comm.entities.qb.QueryBuilderOutput;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import java.util.*;

public class SoftRanking {
    private static Logger logger = LoggerFactory.getLogger(SoftRanking.class);

    public static Map sortByComparator(Map unsortMap) {
        List list = new LinkedList(unsortMap.entrySet());
        Collections.sort(list, new Comparator() {
            public int compare(Object o2, Object o1) {
                return ((Comparable) ((Map.Entry) (o1)).getValue()).compareTo(((Map.Entry) (o2)).getValue());
            }
        });

        Map sortedMap = new LinkedHashMap();
        for (Object aList : list) {
            Map.Entry entry = (Map.Entry) aList;
            sortedMap.put(entry.getKey(), entry.getValue());
        }
        return sortedMap;
    }

    // todo; refactor this class due to some potential NPE
    public static HashMap<String, Integer> getSoftResults(QueryBuilderOutput QB, List<String> ListSuccs) {
        Double DFScore = null;
        HashMap<String, Integer> dict = new HashMap<>();

        for (String lmsID : ListSuccs) {
            DFScore = 0.0;
            int weight;

            String DFValue = null;
            String DFInstantiatedName = null;
            String DFInstantiatedValue = null;

            // Set of KOs which meet the soft criterion for the DF
            List<String> DFs_SCs = eu.intuitel.util.ParseQBResult.getSoftCriterialmsID_DFs(QB, lmsID);
            List<String> DFs_SCVs = eu.intuitel.util.ParseQBResult.getSoftCriterialmsID_DFValues(QB, lmsID);

            // for all DF_Names
            Integer temp_Max_DfValue = 0;
            for (String s : DFs_SCVs) {
                Double DFTempScore = 0.0;

                DFInstantiatedName = eu.intuitel.util.ParseQBResult
                                             .getSoftCriterialmsID_DFName_ByValue(QB, lmsID, s);
                DFValue = eu.intuitel.util.ParseQBResult
                                  .getDidacticFactors_DFValue_ByName(QB, DFInstantiatedName);

                // For absolute weigths only: int weight =
                // DfReader.DFWeights.get(DFInstantiatedName);

                if (DfReader.DFWeights.containsKey(DFValue)) {
                    weight = DfReader.DFWeights.get(DFValue);

                    DFInstantiatedValue = s;
                    DFTempScore = DfReader.hashBasedTable.get(DFValue, DFInstantiatedValue);

                   
                                       logger.debug("DFValue ***:" + DFValue);
                    logger.debug("DFInstantiatedValue ***:"
							+ DFInstantiatedValue);

                    logger.debug("DFTempScore ***: " + DFTempScore);

                    logger.debug("Weight ***: " + weight);

					temp_Max_DfValue = temp_Max_DfValue + weight;

					DFScore = DFScore + (DFTempScore * weight);

					logger.debug("Max Value ***: " + temp_Max_DfValue);
					logger.debug("DFScore ***: " + DFScore);
                    
                    
                } else {
                    weight = 0;
                }
            }

            // OLD: dict.put(lmsID, DFScore);
            Double newDFScore = DFScore * 100;
            int h = newDFScore.intValue();

            eu.intuitel.util.DfReader.Max_DfValue = temp_Max_DfValue;

            float b = eu.intuitel.util.DfReader.Max_DfValue;
            dict.put(lmsID, Math.round(h / b));
            logger.debug("h " + h);		
            logger.debug("Max Value : " + b);
			logger.debug("lmsID: " + lmsID + " DFScore : " + Math.round(h / b));
            logger.debug(" DFScore : " + Math.round(h / b));
        }

        return dict;
    }
}
