/*
 * Creator: INTUITEL Consortium, www.intuitel.eu
 * Contributor: Ovidiu Serban, ISR Laboratory, University of Reading, UK, http://www.isr.reading.ac.uk/
 * Version: 1.00
 * Date: 2014/7/25
 * Copyright: Copyright (C) INTUITEL Consortium
 * License: The license that applies to this file has not yet been determined
 */

package edu.uk.reading.component;

import edu.uk.reading.dm.manager.ReplyMessageListener;
import edu.uk.reading.dm.manager.UserManager;
import edu.uk.reading.dm.messages.dialogue.FeedbackMessage;

import java.util.HashMap;
import java.util.Map;

public class UserManagerMockup extends UserManager {
    private final Map<String, String> userProperties = new HashMap<>();

    public UserManagerMockup() {
        super(null, 0);
    }

    @Override
    public void closeManager() {
        //nothing
    }

    @Override
    public void waitToFinish() {
        //nothing
    }

    @Override
    public void pushMessage(FeedbackMessage message) {
        //nothing
    }

    @Override
    public boolean setUserProperty(String userID, String property, String value) {
        userProperties.put(property, value);
        return true;
    }

    @Override
    public String getUserProperty(String userID, String property) {
        return userProperties.get(property);
    }

    @Override
    public void addReplyListener(ReplyMessageListener listener) {
        //nothing
    }

    @Override
    public void removeReplyListener(ReplyMessageListener listener) {
        //nothing
    }
}
