/*
 * Creator: INTUITEL Consortium, www.intuitel.eu
 * Contributor: Ovidiu Serban, ISR Laboratory, University of Reading, UK, http://www.isr.reading.ac.uk/
 * Version: 1.00
 * Date: 2014/7/25
 * Copyright: Copyright (C) INTUITEL Consortium
 * License: The license that applies to this file has not yet been determined
 */

package edu.uk.reading.integration;

import eu.intuitel.CommLayer.CommLibrary.LmsServiceConnection;
import eu.intuitel.comm.entities.lms.*;
import eu.intuitel.comm.entities.lpm.Learner;
import eu.intuitel.comm.entities.rr.TugAck;
import eu.intuitel.comm.services.ILmsListener;

import java.io.IOException;
import java.util.List;

public class FakeLMS implements ILmsListener {
    private static final Object lock = new Object();

    @Override
    public List<UseEnv> onNewUseEnv(List<eu.intuitel.comm.entities.lpm.UseEnv> useEnvs) {
        return null;
    }

    @Override
    public List<UsePerf> onNewUsePerf(List<eu.intuitel.comm.entities.lpm.UsePerf> usePerfs) {
        return null;
    }

    @Override
    public LmsProfile onNewLmsProfile(eu.intuitel.comm.entities.lpm.LmsProfile lmsProfile) {
        return null;
    }

    @Override
    public List<LoMapping> onNewLoMapping(List<eu.intuitel.comm.entities.lpm.LoMapping> loMappings) {
        return null;
    }

    @Override
    public Learners onNewLearnerUpdate(eu.intuitel.comm.entities.lpm.Learners learners) {
        return null;
    }

    @Override
    public List<Lore> onNewLore(List<eu.intuitel.comm.entities.rr.Lore> lores) {
        System.out.println(lores);
        return null;
    }

    @Override
    public List<Tug> onNewTug(List<eu.intuitel.comm.entities.rr.Tug> tugs) {
        System.out.println(tugs);
        return null;
    }

    @Override
    public void onNewTugAck(TugAck tugAck) {
        System.out.println(tugAck);
    }

    @Override
    public Authentication onNewAuthentication(eu.intuitel.comm.entities.lpm.Authentication authentication) {
        return null;
    }

    @Override
    public void onNewLearnerUpdateResponse(List<Learner> learners) {

    }

    public static void main(String[] args) {
        try {
            LmsServiceConnection.getInstance().OpenAdvanced("lms", "lms", "95.211.177.222", 5222, "tsb@95.211.177.222");
            LmsServiceConnection.getInstance().setLmsListener(new FakeLMS());
            synchronized (lock) {
                lock.wait();
            }
        } catch (IOException e) {
            e.printStackTrace();
        } catch (InterruptedException e) {
            System.out.println("Service interrupted");
        }
    }
}
