/*
 * Creator: INTUITEL Consortium, www.intuitel.eu
 * Contributor: Ovidiu Serban, ISR Laboratory, University of Reading, UK, http://www.isr.reading.ac.uk/
 * Version: 1.00
 * Date: 2014/7/25
 * Copyright: Copyright (C) INTUITEL Consortium
 * License: The license that applies to this file has not yet been determined
 */

package edu.uk.reading.integration;

import edu.uk.reading.service.MessageUtils;
import eu.intuitel.CommLayer.CommLibrary.QueryBuilderServiceConnection;
import eu.intuitel.comm.entities.exceptions.IntuitelException;
import eu.intuitel.comm.entities.qb.QueryBuilderOutput;

import java.io.IOException;
import java.util.LinkedList;
import java.util.List;

import static edu.uk.reading.tools.CommonUtils.file;

public class FakeQB {
    private static final String MSG = "../src/test/DM/resources/mockup-messages/reasoner/queryBuilderOutput-scenario1" +
                                      ".xml";

    public static void main(String[] args) {
        try {
            QueryBuilderServiceConnection.getInstance()
                                         .OpenAdvanced("qb", "qb", "95.211.177.222", 5222, "tsb@95.211.177.222");
            List<String> errors = new LinkedList<>();
            List<QueryBuilderOutput> qbs = MessageUtils.parseQueryBuilderOutput(file(MSG), "msg1", errors);
            if (errors.isEmpty()) {
                for (QueryBuilderOutput output : qbs) {
                    QueryBuilderServiceConnection.getInstance().sendQueryBuilderOutput(output);
                    System.out.println("Message sent: " + output);
                }
                synchronized (MSG) {
                    MSG.wait();
                }
            } else {
                for (String error : errors) {
                    System.err.println(error);
                }
            }
        } catch (IOException | IntuitelException e) {
            e.printStackTrace();
        } catch (InterruptedException e) {
            //-- ignore
            System.out.println("Service interrupted");
        }
    }
}
