/*
 * Copyright (C) 2013, FZI Forschungszentrum Informatik
 *
 * Modifications to the initial code base are copyright of their
 * respective authors, or their employers as appropriate. Authorship
 * of the modifications may be determined from the ChangeLog placed at
 * the end of this file.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 3.0 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA
 */
package de.fzi.herakles.executor.impl;

import de.fzi.herakles.registry.ReasonerRegistry;

/**
 * 
 * @author Marcel Weigel
 * 
 */
public class DefaultExecutorFactory extends ExecutorFactoryAbst {

	private DefaultExecutorFactory() {
		super();
	}

	public static ExecutorFactoryAbst getInstance() {
		if (executorFactory == null) {
			executorFactory = new DefaultExecutorFactory();
		}
		return executorFactory;
	}

	@Override
	protected ExecutorAbst getConcretExecutor( ReasonerRegistry reasonerRegistry, long timeOut ) {
		return new DefaultExecutor(reasonerRegistry, timeOut);
	}

}
