/**
 * 
 */
package de.fzi.herakles.loader;

import static org.junit.Assert.*;

import org.junit.Test;

import de.fzi.herakles.loader.impl.LoaderFactory;
import de.fzi.herakles.mockups.ReasonerRegistryMock;
import de.fzi.herakles.mockups.ServerRegistryMock;
import de.fzi.herakles.registry.ReasonerRegistry;
import de.fzi.herakles.registry.ServerRegistry;
import de.fzi.owllink.reasoner.server.entities.Owner;

/**
 * @author Luckfish
 *
 */
public class LoaderFactoryTest {

	@Test
	public void singeltonInstanceTest() {
		LoaderFactory instance1 = LoaderFactory.getInstance();
		
		assertNotNull(instance1);
		
		LoaderFactory instance2 = LoaderFactory.getInstance();
		
		assertNotNull(instance2);
		
		assertSame(instance1, instance2);
	}
	
	@Test
	public void getLoaderSingeltonTest() {
		ServerRegistry serverRegistry1 = new ServerRegistryMock();
		ReasonerRegistry reasonerRegistry1 = new ReasonerRegistryMock();
		
		ServerRegistry serverRegistry2 = new ServerRegistryMock();
		ReasonerRegistry reasonerRegistry2 = new ReasonerRegistryMock();
		
		Owner owner = new Owner("Hermit", "localhost");
		
		assertNotSame(serverRegistry1, serverRegistry2);
		assertNotSame(reasonerRegistry1, reasonerRegistry2);
		
		Loader loader1 = LoaderFactory.getInstance().getLoader(serverRegistry1, reasonerRegistry1, owner);
		
		assertNotNull(loader1);
		
		Loader loader2 = LoaderFactory.getInstance().getLoader(serverRegistry2, reasonerRegistry2, owner);
		
		assertNotNull(loader2);
		
		Loader loader3 = LoaderFactory.getInstance().getLoader(serverRegistry2, reasonerRegistry1, owner);
		
		assertNotNull(loader3);
		
		Loader loader4 = LoaderFactory.getInstance().getLoader(serverRegistry1, reasonerRegistry2, owner);
		
		assertNotNull(loader4);
		
		assertNotSame(loader1, loader2);
		
		assertNotSame(loader1, loader3);
		
		assertNotSame(loader1, loader4);
		
		Loader loader1Same = LoaderFactory.getInstance().getLoader(serverRegistry1, reasonerRegistry1, owner);
		
		assertSame(loader1, loader1Same);
		
		Loader loader4Same = LoaderFactory.getInstance().getLoader(serverRegistry1, reasonerRegistry2, owner);
		
		assertSame(loader4, loader4Same);
	}

}
