package de.fzi.herakles.registry.impl;

import static org.junit.Assert.*;

import org.junit.Test;

import de.fzi.herakles.registry.ServerAdapter;
import de.fzi.herakles.registry.impl.ServerAdapterFactory;

public class ServerAdapterFactoryTest {

	@Test
	public void singeltonInstanceTest() {
		
		ServerAdapterFactory instance1 = ServerAdapterFactory.getInstance();
		
		assertNotNull(instance1);
		
		ServerAdapterFactory instance2 = ServerAdapterFactory.getInstance();
		
		assertNotNull(instance2);		
		
		assertSame(instance1, instance2);
	}
	
	@Test
	public void getReasonerAdapterSingeltonTest() {
		
		ServerAdapter serverAdapter1 = ServerAdapterFactory.getInstance().getServerAdapter("localhost", 8080);
		ServerAdapter serverAdapter2 = ServerAdapterFactory.getInstance().getServerAdapter("192.168.2.1", 8080);
		ServerAdapter serverAdapter3 = ServerAdapterFactory.getInstance().getServerAdapter("localhost", 5098);

		assertNotNull(serverAdapter1);
		assertNotNull(serverAdapter2);
		assertNotNull(serverAdapter3);
		
		assertNotSame(serverAdapter1, serverAdapter2);
		assertNotSame(serverAdapter1, serverAdapter3);
		
		ServerAdapter serverAdapter1Same = ServerAdapterFactory.getInstance().getServerAdapter("localhost", 8080);
		
		assertNotNull(serverAdapter1Same);
	}

}
