package de.fzi.herakles.registry.impl;

import static org.junit.Assert.*;

import org.junit.Test;
import org.semanticweb.owlapi.model.OWLOntologyCreationException;

import de.fzi.herakles.registry.ServerAdapter;
import de.fzi.herakles.registry.impl.ServerAdapterImpl;

public class ServerAdapterImplTest {
	
	@Test
	public void constructorTest() {
		ServerAdapter serverAdapter1 = new ServerAdapterImpl(null, 8080);
		ServerAdapter serverAdapter2 = new ServerAdapterImpl("localhost", -1);
		
		assertNotNull(serverAdapter1);
		assertNotNull(serverAdapter2);
		
		ServerAdapter serverAdapter3 = new ServerAdapterImpl("localhost", 8080);
		ServerAdapter serverAdapter4 = new ServerAdapterImpl("192.168.2.1", 8080);
		
		assertNotNull(serverAdapter3);
		assertNotNull(serverAdapter4);
	}
	
	@Test
	public void equalsTest() throws OWLOntologyCreationException {
		String host = "localhost";
		int port = 8080;
		
		ServerAdapter serverAdapter1 = new ServerAdapterImpl(host, port);
		ServerAdapter serverAdapter2 = new ServerAdapterImpl("NotSame", port);
		
		assertNotNull(serverAdapter1);
		assertNotNull(serverAdapter2);
		
		assertFalse(serverAdapter1.equals(serverAdapter2));
		
		ServerAdapter serverAdapter1Same = new ServerAdapterImpl(host, port);
		
		assertNotNull(serverAdapter1Same);
		
		assertTrue(serverAdapter1.equals(serverAdapter1Same));
	}

}
