package de.fzi.owllink.reasoner.server.entities;

public class Version {
	
	private final int major;
	private final int minor;
	private final int patch;
	private final int build;
	
	public Version(int major, int minor, int patch, int build) {
		this.major = major;
		this.minor = minor;
		this.patch = patch;
		this.build = build;
	}

	public int getMajor() {
		return major;
	}

	public int getMinor() {
		return minor;
	}

	public int getPatch() {
		return patch;
	}

	public int getBuild() {
		return build;
	}
	
	@Override
	public boolean equals(Object obj) {
		if(obj == null)
			return false;
		if(obj == this)
			return true;
		if(!(obj instanceof Version)) 
			return false;
		
		Version v = (Version) obj;
		return this.major == v.major &&
				this.minor == v.minor &&
				this.patch == v.patch &&
				this.build == v.build;
	}
	
	@Override
	public int hashCode() {
		int hash = 7;
		hash = 31 * hash + this.major;
		hash = 31 * hash + this.minor;
		hash = 31 * hash + this.patch;
		hash = 31 * hash + this.build;
		return hash;
	}

	@Override
	public String toString() {
		String[] classPath = Version.class.getName().split("\\.");
		return String.format("%s(major=%d, minor=%d, patch=%d, build=%d)", classPath[classPath.length-1], this.major, this.minor, this.patch, this.build);
	}
	
	
}
