package de.fzi.owllink.reasoner.server.reasoner;

import de.fzi.owllink.reasoner.server.entities.Capability;
import de.fzi.owllink.reasoner.server.entities.Version;
import de.fzi.owllink.reasoner.server.httpxmlserver.StopableOWLlinkHTTPXMLServer;

public abstract class ServerFactoryAbst implements ExtendedOWLlinkServerFactory {
	
	private final String name;
	
	private final Version version;
	
	private final Capability capability;

	public ServerFactoryAbst(String name, Version version, Capability capability) {
		this.name = name;
		this.version = version;
		this.capability = capability;
	}

	public String getName() {
		return name;
	}

	public Version getVersion() {
		return version;
	}

	public Capability getCapability() {
		return capability;
	}
	
	public abstract StopableOWLlinkHTTPXMLServer createServer( int port );
}
