package de.fzi.owllink.reasoner.server.reasoner;

import org.semanticweb.owlapi.owllink.server.AbstractOWLlinkReasonerConfiguration;
import org.semanticweb.owlapi.reasoner.ConsoleProgressMonitor;
import org.semanticweb.owlapi.reasoner.OWLReasonerConfiguration;
import org.semanticweb.owlapi.reasoner.OWLReasonerFactory;
import org.semanticweb.owlapi.reasoner.SimpleConfiguration;
import org.semanticweb.owlapi.reasoner.structural.StructuralReasonerFactory;

import de.fzi.owllink.reasoner.server.entities.Capability;
import de.fzi.owllink.reasoner.server.entities.Version;
import de.fzi.owllink.reasoner.server.httpxmlserver.StopableOWLlinkHTTPXMLServer;

public class StopableStructuralServerFactory extends ServerFactoryAbst {
	
	public StopableStructuralServerFactory() {
		super("Structural Reasoner", new Version(1, 0, 0, 0), new Capability());
	}
	
	public StopableOWLlinkHTTPXMLServer createServer( int port ) {
		OWLReasonerFactory reasonerFactory = new StructuralReasonerFactory();
		
		ConsoleProgressMonitor progressMonitor = new ConsoleProgressMonitor();
		
		OWLReasonerConfiguration reasonerConfiguration = new SimpleConfiguration(progressMonitor);
		AbstractOWLlinkReasonerConfiguration serverConfiguration = new AbstractOWLlinkReasonerConfiguration(reasonerConfiguration);
		
		StopableOWLlinkHTTPXMLServer server = new StopableOWLlinkHTTPXMLServer(reasonerFactory, serverConfiguration, port);
		
		return server;
	}

}
