package de.fzi.owllink.reasoner.server.classloader;

import static org.junit.Assert.*;

import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.io.IOException;
import java.util.Properties;

import org.junit.After;
import org.junit.Before;
import org.junit.Test;
import org.semanticweb.owlapi.owllink.server.OWLlinkServer;
import org.semanticweb.owlapi.owllink.server.serverfactory.OWLlinkServerFactory;

import de.fzi.owllink.reasoner.server.classloader.Classloader;
import de.fzi.owllink.reasoner.server.manager.ConfigurationException;

public class FactoryClassloaderTest {
	
	Classloader factoryClassloader;

    @Before
    public void setUp() throws ConfigurationException {
    	System.out.println(">>>>> JUnit Test Started >>>>>");
    	this.factoryClassloader = new Classloader(getPropertiesFromFile());
    }
    
	private Properties getPropertiesFromFile() {
		Properties properties = new Properties();
		try {
			FileInputStream fileInputStream = new FileInputStream("D:\\Entwicklung\\Hiwi\\Herakles\\code\\reasoner-server\\src\\main\\resources\\reasonerFactory.properties");
			
//			InputStream stream1 = Thread.currentThread().getContextClassLoader().getResourceAsStream("reasonerFactory.properties");
//			InputStream stream2 = MainClass.class.getResourceAsStream("reasonerFactory.properties");
	      
			properties.load(fileInputStream);
			
			fileInputStream.close();
		} catch (FileNotFoundException e1) {
			// TODO Auto-generated catch block
			e1.printStackTrace();
		} catch (IOException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		}
		return properties;
	}

    @After
    public void tearDown() {
		System.out.println("<<<<< JUnit Test Ended <<<<<");
    }

	@Test(expected=ConfigurationException.class)
	public void testFactoryClassloader() throws ConfigurationException {
		Classloader factoryClassloader = new Classloader(null);
		
		assertNotNull(factoryClassloader);
	}

	@Test
	public void testGetInstance() throws ConfigurationException {
		OWLlinkServerFactory owlLinkServerFactory = factoryClassloader.getInstance("HermiT");
		
		assertNotNull(owlLinkServerFactory);
		
		OWLlinkServer server = owlLinkServerFactory.createServer(8080);
		
		assertNotNull(server);
	}
	
	@Test(expected=ConfigurationException.class)
	public void testGetInstanceReasonerFactoryNotFoundExecption() throws ConfigurationException {
		this.factoryClassloader.getInstance("FactoryNotExcist");
	}

}
