package de.fzi.owllink.reasoner.server.entities;

import static org.junit.Assert.*;

import java.net.InetAddress;
import java.net.UnknownHostException;

import org.junit.Test;

public class OwnerTest {

	@Test
	public void testString() {
		Owner owner = new Owner("OwnerTest");
		System.out.println(owner);
	}
	
	@Test
	public void testConstructor1() {
		String ownerName = "OwnerTest";
		String ownerHost = "0.0.0.0";
		try {
			ownerHost = InetAddress.getLocalHost().getHostAddress();
		} catch (UnknownHostException e) {}
		
		Owner owner = new Owner(ownerName);
		
		assertNotNull(owner);
		assertEquals(ownerName, owner.getName());
		assertEquals(ownerHost, owner.getHost());
	}
	
	@Test
	public void testConstructor2() {
		String ownerName = "OwnerTest";
		String ownerHost = "0.0.0.0";

		Owner owner = new Owner(ownerName, ownerHost);
		
		assertNotNull(owner);
		assertEquals(ownerName, owner.getName());
		assertEquals(ownerHost, owner.getHost());
	}
	
	@Test
	public void testEquals() {
		Owner owner1 = new Owner("OwnerTest", "0.0.0.0");
		Owner owner2 = new Owner("OwnerTest", "0.0.0.0");
		Owner owner3 = new Owner("OwnerTest", "1.1.1.1");
		Owner owner4 = new Owner("Owner", "0.0.0.0");
		
		assertNotNull(owner1);
		assertNotNull(owner2);
		assertNotNull(owner3);
		assertNotNull(owner4);
		
		assertTrue(owner1.equals(owner1));
		assertTrue(owner1.equals(owner2));
		assertFalse(owner1.equals(owner3));
		assertFalse(owner1.equals(owner4));
		
		assertEquals(owner1.hashCode(), owner1.hashCode());
		assertEquals(owner1.hashCode(), owner2.hashCode());
		assertNotSame(owner1.hashCode(), owner3.hashCode());
		assertNotSame(owner1.hashCode(), owner4.hashCode());
	}

}
