package de.fzi.owllink.reasoner.server.entities;

import static org.junit.Assert.*;

import org.junit.Test;

public class ReasonerTypeTest {

	@Test
	public void testString() {
		ReasonerType reasonerType = new ReasonerType("ID", "NAME", new Version(0, 0, 0, 0), new Capability());
		System.out.println(reasonerType);
	}
	
	@Test
	public void testConstructor() {
		String id = "ID";
		String name = "NAME";
		Version version = new Version(0, 0, 0, 0);
		Capability capability = new Capability();
		
		ReasonerType reasonerType = new ReasonerType(id, name, version, capability);
		
		assertNotNull(reasonerType);
		assertEquals(id, reasonerType.getId());
		assertEquals(name, reasonerType.getName());
		assertEquals(version, reasonerType.getVersion());
		assertEquals(capability, reasonerType.getCapability());
	}
	
	@Test
	public void testEquals() {
		ReasonerType reasonerType1 = new ReasonerType("ID", "NAME", new Version(0, 0, 0, 0), new Capability());
		ReasonerType reasonerType2 = new ReasonerType("ID", "NAME", new Version(0, 0, 0, 0), new Capability());
		ReasonerType reasonerType3 = new ReasonerType("TEST", "NAME", new Version(0, 0, 0, 0), new Capability());
		ReasonerType reasonerType4 = new ReasonerType("ID", "TEST", new Version(0, 0, 0, 0), new Capability());
		
		assertNotNull(reasonerType1);
		assertNotNull(reasonerType2);
		assertNotNull(reasonerType3);
		assertNotNull(reasonerType4);
		
		assertTrue(reasonerType1.equals(reasonerType1));
		assertTrue(reasonerType1.equals(reasonerType2));
		assertFalse(reasonerType1.equals(reasonerType3));
		assertFalse(reasonerType1.equals(reasonerType4));
		
		assertEquals(reasonerType1.hashCode(), reasonerType1.hashCode());
		assertEquals(reasonerType1.hashCode(), reasonerType2.hashCode());
		assertNotSame(reasonerType1.hashCode(), reasonerType3.hashCode());
		assertNotSame(reasonerType1.hashCode(), reasonerType4.hashCode());
	}

}
