package de.fzi.owllink.reasoner.server.entities;

import static org.junit.Assert.*;

import org.junit.Test;

public class VersionTest {

	@Test
	public void testString() {
		Version version = new Version(1, 52, 2, 1034);
		System.out.println(version);
	}
	
	@Test
	public void testConstructor() {
		int major = 1;
		int minor = 52;
		int patch = 2;
		int build = 1034;
		
		Version version = new Version(major, minor, patch, build);
		
		assertNotNull(version);
		assertEquals(major, version.getMajor());
		assertEquals(minor, version.getMinor());
		assertEquals(patch, version.getPatch());
		assertEquals(build, version.getBuild());
	}
	
	@Test
	public void testEquals() {
		Version version1 = new Version(1, 1, 1, 1);
		Version version2 = new Version(1, 1, 1, 1);
		Version version3 = new Version(1, 52, 2, 1034);
		Version version4 = new Version(1, 234, 0, 655);
		
		assertNotNull(version1);
		assertNotNull(version2);
		assertNotNull(version3);
		assertNotNull(version4);
		
		assertTrue(version1.equals(version1));
		assertTrue(version1.equals(version2));
		assertFalse(version1.equals(version3));
		assertFalse(version1.equals(version4));
		
		assertEquals(version1.hashCode(), version1.hashCode());
		assertEquals(version1.hashCode(), version2.hashCode());
		assertNotSame(version1.hashCode(), version3.hashCode());
		assertNotSame(version1.hashCode(), version4.hashCode());
	}

}
