/*
* Copyright (C) 2013, FZI Forschungszentrum Informatik
*
* Modifications to the initial code base are copyright of their
* respective authors, or their employers as appropriate. Authorship
* of the modifications may be determined from the ChangeLog placed at
* the end of this file.
*
* This library is free software; you can redistribute it and/or
* modify it under the terms of the GNU Lesser General Public
* License as published by the Free Software Foundation; either
* version 3.0 of the License, or (at your option) any later version.
*
* This library is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
* Lesser General Public License for more details.
*
* You should have received a copy of the GNU Lesser General Public
* License along with this library; if not, write to the Free Software
* Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA
*/
package de.fzi.owllink.rest.commons.xml;

import java.util.Date;
import javax.xml.bind.annotation.XmlRootElement;

/**
 * 
 * @author Marcel Weigel
 *
 */
@XmlRootElement
public class XmlOwlLinkServerMetadata {

	private String host;
	private int port;
	private XmlServerState xmlServerState;
	private Date initDate;
	private Date startDate;
	private XmlReasonerType xmlReasonerType;
	private XmlOwner xmlOwner;
	
	public XmlOwlLinkServerMetadata() {
	}
	
	public String getHost() {
		return host;
	}
	
	public void setHost(String host) {
		this.host = host;
	}

	public int getPort() {
		return port;
	}

	public void setPort(int port) {
		this.port = port;
	}

	public XmlServerState getXmlServerState() {
		return xmlServerState;
	}

	public void setXmlServerState(XmlServerState xmlServerState) {
		this.xmlServerState = xmlServerState;
	}

	public Date getInitDate() {
		return initDate;
	}

	public void setInitDate(Date initDate) {
		this.initDate = initDate;
	}

	public Date getStartDate() {
		return startDate;
	}

	public void setStartDate(Date startDate) {
		this.startDate = startDate;
	}

	public XmlReasonerType getXmlReasonerType() {
		return xmlReasonerType;
	}

	public void setXmlReasonerType(XmlReasonerType xmlReasonerType) {
		this.xmlReasonerType = xmlReasonerType;
	}

	public XmlOwner getXmlOwner() {
		return xmlOwner;
	}

	public void setXmlOwner(XmlOwner xmlOwner) {
		this.xmlOwner = xmlOwner;
	}
}
