package de.fzi.owllink.rest.jetty.server;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

public class JettyRestServer {
	
	private final static Log LOG = LogFactory.getLog(JettyRestServer.class);
	
	private final static int defaultPort = 8080;
	
	public static void main( String[] args ) throws Exception {
		int port;
		if(args.length == 1) {
			port = Integer.decode(args[0]);
			if(LOG.isInfoEnabled())
				LOG.info(String.format("Set port on %04d.", port));
		} else if(args.length > 1) {
			final String errStr = String.format("Number of arguments is wrong. Count=%d", args.length);
			LOG.error(errStr);
			throw new IllegalArgumentException(errStr);
		} else {
			port = defaultPort;
			if(LOG.isInfoEnabled())
				LOG.info(String.format("Default port was used %04d.", port));
		}

		RestServerRunner restServerRunner = new RestServerRunner(port);
		Thread thread = new Thread(restServerRunner);
		thread.setDaemon(true);
		thread.start();
		
	    while(true) {
	    	Thread.sleep(1000);
	    }
	}
	
}
