package de.fzi.owllink.rest.jetty.server;

import java.net.BindException;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.eclipse.jetty.server.Server;
import org.eclipse.jetty.servlet.ServletContextHandler;
import org.eclipse.jetty.servlet.ServletHolder;

import com.sun.jersey.spi.container.servlet.ServletContainer;

public class RestServerRunner implements Runnable {
	
	private final static Log LOG = LogFactory.getLog(RestServerRunner.class);
	
	private final static String RESOURCE_PATH = "de.fzi.owllink.rest.jetty.server.resource";
	
	private boolean isRunning;
	private final int port;
	
	private Server server;
	
	public RestServerRunner(int port) {
		this.port = port;
	}

	public void run() {
		initRestServer();
		
		try {
			 this.server.start();
			 this.server.join(); 
		} catch(BindException e) {
			LOG.error(String.format("%s. Port=%04d", e.getMessage(), port));
		} catch (Exception e) {
			e.printStackTrace();
		}
		
		while(this.isRunning) {
			
		}
		
		try {
			this.server.stop();
		} catch (Exception e) {
			e.printStackTrace();
		}
	}

	private void initRestServer() {
		 ServletHolder sh = new ServletHolder(ServletContainer.class);
		 sh.setInitParameter("com.sun.jersey.config.property.resourceConfigClass", "com.sun.jersey.api.core.PackagesResourceConfig");
		 sh.setInitParameter("com.sun.jersey.config.property.packages", RESOURCE_PATH);//Set the package where the services reside
		 sh.setInitParameter("com.sun.jersey.api.json.POJOMappingFeature", "true");
		 
		 this.server = new Server(this.port);
		 ServletContextHandler context = new ServletContextHandler(server, "/", ServletContextHandler.SESSIONS);
		 context.addServlet(sh, "/rest-server/*");
	}
	
//	private void initRestServer() {
//		Server server = new Server(port);
//	    Context root = new Context(server, "/", Context.SESSIONS);
//	    root.addServlet(new ServletHolder(new ServletContainer(new PackagesResourceConfig(RESOURCE_PATH))), "/rest-server/*");
	    
//	    ServletHolder servletHolder = new ServletHolder();
//	    servletHolder.setInitParameter( "com.sun.jersey.config.property.resourceConfigClass", "com.sun.jersey.api.core.PackagesResourceConfig" );
//	    servletHolder.setInitParameter( "com.sun.jersey.config.property.packages", RESOURCE_PATH );
//	    root.addServlet(servletHolder, "/*");

//	    try {
//	    	server.start();
//	    } catch(com.sun.jersey.api.container.ContainerException e) {
//	    	LOG.error(String.format("%s %s", e.getMessage(), RESOURCE_PATH));
//	    } catch(BindException e) {
//	    	LOG.error(String.format("%s. Port=%04d", e.getMessage(), port));
//	    } catch (Exception e) {
//			e.printStackTrace();
//		}
//	}

}
