/*
* Copyright (C) 2013, FZI Forschungszentrum Informatik
*
* Modifications to the initial code base are copyright of their
* respective authors, or their employers as appropriate. Authorship
* of the modifications may be determined from the ChangeLog placed at
* the end of this file.
*
* This library is free software; you can redistribute it and/or
* modify it under the terms of the GNU Lesser General Public
* License as published by the Free Software Foundation; either
* version 3.0 of the License, or (at your option) any later version.
*
* This library is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
* Lesser General Public License for more details.
*
* You should have received a copy of the GNU Lesser General Public
* License along with this library; if not, write to the Free Software
* Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA
*/
package de.fzi.owllink.rest.server.resource;

import javax.ws.rs.GET;
import javax.ws.rs.Path;
import javax.ws.rs.Produces;
import javax.ws.rs.core.Context;
import javax.ws.rs.core.MediaType;
import javax.ws.rs.core.Request;
import javax.ws.rs.core.UriInfo;

import de.fzi.owllink.rest.commons.xml.XmlReasonerType;
import de.fzi.owllink.rest.server.dao.ServerDao;

/**
 * 
 * @author Marcel Weigel
 *
 */
@Path("/rest")
public class RestResource {
	
	@Context
	UriInfo uriInfo;
	@Context
	Request request;
	
	@GET 
	@Path("reasoners")
	@Produces(MediaType.APPLICATION_XML)
	public XmlReasonerType[] getRreasonerTypes()
	{   
		return ServerDao.instance.getModel().getAvailableReasonerTypes();
	}
}
