package de.fzi.owllink.rest.viewer.model;

import java.util.List;
import java.util.Map;
import java.util.Set;

import de.fzi.owllink.reasoner.server.entities.ReasonerType;
import de.fzi.owllink.reasoner.server.owllinkserver.OwlLinkServerMetadata;

public interface RestViewerModel {

	void addRestClient(String host, int port);
	
	void deleteRestClient( String restClientId );
	
	OwlLinkServerMetadata getOwlLinkServerMetadata(String restClientId, int port);
	
	Set<OwlLinkServerMetadata> getOwlLinkServerMetadatas(String restClientId);
	
	Set<OwlLinkServerMetadata> getAllOwlLinkServerMetadatas();

	void registreServer( String restClientId, ReasonerType reasonerType );

	void startServer( String restClientId, int port );

	void stopServer( String restClientId, int port );

	void deregistreServer( String restClientId, int port );

	void restClientSelected( String restClientId );

	void restClientUnselected();

	String[] getRestClientIds();

	ReasonerType[][] getReasonerTypes();

	Set<String> getAllRestClientIds();

	boolean isRestServerConnected( String restServerId );

	boolean existRestServer( String restServerId );

	boolean isRestClientSelected();

	String getSelectedRestClientId();

	void refreshRestServerPanel();
	
	void refreshReasonerPanel(Map<String, Set<OwlLinkServerMetadata>> owlLinkServerMetatdataMap);
	
}
