package de.fzi.owllink.rest.viewer.view;

import java.util.List;
import java.util.Map;
import java.util.Set;

import de.fzi.owllink.reasoner.server.entities.ReasonerType;
import de.fzi.owllink.reasoner.server.owllinkserver.OwlLinkServerMetadata;
import de.fzi.owllink.rest.client.OwlLinkRestClient;
import de.fzi.owllink.rest.viewer.model.monitor.ValuePair;

public interface RestViewerView {

	void viewOwlLinkServerPanels(String host, List<OwlLinkServerMetadata> owlLinkServerMetadatas);
	
	void clear();

	void refreshRestServerPanel( List<OwlLinkRestClient> owlLinkRestClients );

	void refreshOwlLinkServerPanel( Map<String, Set<OwlLinkServerMetadata>> idMetadataPairList );

	void refreshLabels();
	
	void selectRestServerPanel( String restServerId );

	void unselectAllRestServerPanel();
	
	void printServerRegistred(OwlLinkServerMetadata currentMetadata);

	void printServerStateChanged(OwlLinkServerMetadata currentMetadata);

	void printServerDeregistred(OwlLinkServerMetadata metadata);

	void printErrorServerRegistred(String restServerId, ReasonerType reasonerType);

	void printErrorServerDeregistred(OwlLinkServerMetadata cashedMetadata);

	void printErrorServerStart(OwlLinkServerMetadata cashedMetadata);

	void printErrorServerStop(OwlLinkServerMetadata cashedMetadata);

	void error(String string, String string2);
}
