/*
* Copyright (C) 2013, FZI Forschungszentrum Informatik
*
* Modifications to the initial code base are copyright of their
* respective authors, or their employers as appropriate. Authorship
* of the modifications may be determined from the ChangeLog placed at
* the end of this file.
*
* This library is free software; you can redistribute it and/or
* modify it under the terms of the GNU Lesser General Public
* License as published by the Free Software Foundation; either
* version 3.0 of the License, or (at your option) any later version.
*
* This library is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
* Lesser General Public License for more details.
*
* You should have received a copy of the GNU Lesser General Public
* License along with this library; if not, write to the Free Software
* Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA
*/
package de.fzi.owllink.rest.viewer.view.i18n;

import java.util.Locale;
import java.util.MissingResourceException;
import java.util.ResourceBundle;

/**
 * 
 * @author Marcel Weigel
 *
 */
public class International {
	
	private static ResourceBundle bundle;
	
	public static void loadBundle() {
		String baseName = "language.OwlRestClientConsole";

	    try {
	      bundle = ResourceBundle.getBundle(baseName);
	    } catch ( MissingResourceException e ) {
	      System.err.println( e );
	      Locale.setDefault( new Locale("en") );
	      try {
	    	  bundle = ResourceBundle.getBundle(baseName);
	      } catch ( MissingResourceException ex ) {
	    	  System.err.println( ex );
	      }
	    }
	}
	
	public static String getString(String name) {
		if(bundle == null) {
			loadBundle();
		}
		String internationalString = "stringId:" + name;
		try {
			internationalString = bundle.getString(name);
		} catch(MissingResourceException e) {
			System.err.println(e);
		}
	    return internationalString;
	}
}
