/*
* Copyright (C) 2013, FZI Forschungszentrum Informatik
*
* Modifications to the initial code base are copyright of their
* respective authors, or their employers as appropriate. Authorship
* of the modifications may be determined from the ChangeLog placed at
* the end of this file.
*
* This library is free software; you can redistribute it and/or
* modify it under the terms of the GNU Lesser General Public
* License as published by the Free Software Foundation; either
* version 3.0 of the License, or (at your option) any later version.
*
* This library is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
* Lesser General Public License for more details.
*
* You should have received a copy of the GNU Lesser General Public
* License along with this library; if not, write to the Free Software
* Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA
*/
package de.fzi.owllink.rest.viewer.view.panel;

import java.awt.Color;

import javax.swing.JTextPane;
import javax.swing.text.AttributeSet;
import javax.swing.text.SimpleAttributeSet;
import javax.swing.text.StyleConstants;
import javax.swing.text.StyleContext;

/**
 * 
 * @author Marcel Weigel
 *
 */
public class ColoredConsolePane extends JTextPane {

	private static final long serialVersionUID = -3590773668688549814L;

	public void appendNaive(Color c, String s) {
	    SimpleAttributeSet aset = new SimpleAttributeSet();
	    StyleConstants.setForeground(aset, c);

	    int len = getText().length();
	    setCaretPosition(len);
	    setCharacterAttributes(aset, false);
	    replaceSelection(s);
	  }

	  public void append(Color c, String s) {
	    StyleContext sc = StyleContext.getDefaultStyleContext();
	    AttributeSet aset = sc.addAttribute(SimpleAttributeSet.EMPTY, StyleConstants.Foreground, c);

	    int len = getDocument().getLength();

	    setCaretPosition(len);
	    setCharacterAttributes(aset, false);
	    replaceSelection(s);
	  }
}
