/*
* Copyright (C) 2013, FZI Forschungszentrum Informatik
*
* Modifications to the initial code base are copyright of their
* respective authors, or their employers as appropriate. Authorship
* of the modifications may be determined from the ChangeLog placed at
* the end of this file.
*
* This library is free software; you can redistribute it and/or
* modify it under the terms of the GNU Lesser General Public
* License as published by the Free Software Foundation; either
* version 3.0 of the License, or (at your option) any later version.
*
* This library is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
* Lesser General Public License for more details.
*
* You should have received a copy of the GNU Lesser General Public
* License along with this library; if not, write to the Free Software
* Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA
*/
package de.fzi.owllink.rest.viewer.view.panel;

import java.awt.Color;
import java.awt.Dimension;
import java.awt.Font;
import java.awt.GridLayout;

import javax.swing.BorderFactory;
import javax.swing.JLabel;
import javax.swing.JPanel;

import de.fzi.owllink.rest.viewer.view.i18n.International;

/**
 * 
 * @author Marcel Weigel
 *
 */
public class OwlLinkHeaderPanel extends JPanel {

	private static final long serialVersionUID = -6754016053216078519L;
	
	private JLabel idLabel;
	private JLabel nameLabel;
	private JLabel reasonerLabel;
	private JLabel statusLabel;
	private JLabel restLabel;
	private JLabel ownerLabel;
	private JLabel actionLabel;

	public OwlLinkHeaderPanel() {
		this.idLabel = createAndAddLabel(International.getString("header_panel_label_id"));
		this.nameLabel = createAndAddLabel(International.getString("header_panel_label_name"));
		this.reasonerLabel = createAndAddLabel(International.getString("header_panel_label_reasoner"));
		this.ownerLabel = createAndAddLabel(International.getString("header_panel_label_owner"));
		this.restLabel = createAndAddLabel(International.getString("header_panel_label_rest_server"));
		this.statusLabel = createAndAddLabel(International.getString("header_panel_label_status"));
		this.actionLabel = createAndAddLabel(International.getString("header_panel_label_action"));

		setLayout(new GridLayout(1, 7));
		setPreferredSize(new Dimension(650, 35));
		setBackground(new Color(104, 104, 104));
	}
	
	private JLabel createAndAddLabel(String text) {
		JLabel label = new JLabel(text);
		label.setForeground(Color.WHITE);
		label.setFont(new Font("Arial", Font.BOLD, 12));
		label.setBorder(BorderFactory.createEmptyBorder(10,10,10,10));
		add(label);
		return label;
	}
	
	public void refreshLabels() {
		this.idLabel.setText(International.getString("header_panel_label_id"));
		this.nameLabel.setText(International.getString("header_panel_label_name"));
		this.reasonerLabel.setText(International.getString("header_panel_label_reasoner"));
		this.statusLabel.setText(International.getString("header_panel_label_status"));
		this.restLabel.setText(International.getString("header_panel_label_rest_server"));
		this.ownerLabel.setText(International.getString("header_panel_label_owner"));
		this.actionLabel.setText(International.getString("header_panel_label_action"));
	}
}
