-- MySQL Script generated by MySQL Workbench
-- 07/23/14 10:26:40
-- Model: New Model    Version: 1.0
SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0;
SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0;
SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='TRADITIONAL,ALLOW_INVALID_DATES';

-- -----------------------------------------------------
-- Schema Intuitel
-- -----------------------------------------------------
CREATE SCHEMA IF NOT EXISTS `Intuitel` DEFAULT CHARACTER SET utf8 COLLATE utf8_general_ci ;
USE `Intuitel` ;

-- -----------------------------------------------------
-- Table `Intuitel`.`KnowledgeObject`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `Intuitel`.`KnowledgeObject` (
  `Iri` VARCHAR(255) NOT NULL,
  `CourseId` VARCHAR(10) NOT NULL,
  `LmsId` VARCHAR(255) NOT NULL,
  `Title` VARCHAR(255) NULL,
  `Description` TEXT NULL DEFAULT NULL,
  PRIMARY KEY (`Iri`))
ENGINE = MyISAM;


-- -----------------------------------------------------
-- Table `Intuitel`.`ConceptContainer`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `Intuitel`.`ConceptContainer` (
  `Iri` VARCHAR(255) NOT NULL,
  `CourseId` VARCHAR(10) NOT NULL,
  `Title` VARCHAR(255) NULL,
  `Description` TEXT NULL,
  PRIMARY KEY (`Iri`))
ENGINE = MyISAM
PACK_KEYS = 0;


-- -----------------------------------------------------
-- Table `Intuitel`.`Learner`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `Intuitel`.`Learner` (
  `Id` VARCHAR(50) NOT NULL,
  `Name` VARCHAR(255) NULL,
  `Gender` VARCHAR(45) NULL DEFAULT NULL,
  `Age` INT NULL DEFAULT NULL,
  `Culture` VARCHAR(255) NULL DEFAULT NULL,
  `Blindness` BIT NULL DEFAULT NULL,
  `Muteness` BIT NULL DEFAULT NULL,
  `Deafness` BIT NULL DEFAULT NULL,
  `Languages` VARCHAR(255) NULL DEFAULT NULL,
  PRIMARY KEY (`Id`))
ENGINE = MyISAM;


-- -----------------------------------------------------
-- Table `Intuitel`.`Session`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `Intuitel`.`Session` (
  `Learner_id` VARCHAR(50) NOT NULL,
  `CourseId` VARCHAR(10) NOT NULL,
  `LoginTime` DATETIME(4) NOT NULL,
  `LogoutTime` DATETIME(4) NULL,
  `DeviceType` VARCHAR(255) NULL DEFAULT NULL,
  `DeviceDpi` VARCHAR(255) NULL DEFAULT NULL,
  `DeviceVerticalResolution` INT(11) NULL DEFAULT NULL,
  `DeviceHorizontalResolution` INT(11) NULL DEFAULT NULL,
  `DeviceTime` DATETIME(6) NULL DEFAULT NULL,
  `InteractionWillingness` VARCHAR(255) NULL DEFAULT NULL,
  `LearningAttitude` VARCHAR(255) NULL,
  PRIMARY KEY (`Learner_id`, `LoginTime`, `CourseId`),
  INDEX `fk_Session_Learner1_idx` (`Learner_id` ASC))
ENGINE = MyISAM;


-- -----------------------------------------------------
-- Table `Intuitel`.`LearningStep`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `Intuitel`.`LearningStep` (
  `Session_Learner_id` VARCHAR(50) NOT NULL,
  `Session_LoginTime` DATETIME(4) NOT NULL,
  `Session_CourseId` VARCHAR(10) NOT NULL,
  `StartTime` DATETIME(4) NOT NULL,
  `StopTime` DATETIME(4) NULL,
  `LearningPathwayEval` TINYINT(1) NOT NULL DEFAULT 0,
  `KnowledgeObject_Iri` VARCHAR(255) NOT NULL,
  `ConceptContainer_Iri` VARCHAR(255) NOT NULL,
  INDEX `fk_LearningStep_KnowledgeObject1_idx` (`KnowledgeObject_Iri` ASC),
  INDEX `fk_LearningStep_ConceptContainer1_idx` (`ConceptContainer_Iri` ASC),
  PRIMARY KEY (`Session_Learner_id`, `Session_LoginTime`, `Session_CourseId`, `StartTime`),
  INDEX `fk_LearningStep_Session1_idx` (`Session_Learner_id` ASC, `Session_LoginTime` ASC, `Session_CourseId` ASC))
ENGINE = MyISAM;


-- -----------------------------------------------------
-- Table `Intuitel`.`LearnerPreference`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `Intuitel`.`LearnerPreference` (
  `Learner_Id` VARCHAR(50) NOT NULL,
  `CourseId` VARCHAR(10) NOT NULL,
  `EqfLevel` INT NULL,
  `DifficultyLevel` INT NULL DEFAULT NULL,
  INDEX `fk_LearnerCourseData_Learner1_idx` (`Learner_Id` ASC),
  PRIMARY KEY (`Learner_Id`, `CourseId`))
ENGINE = MyISAM;


-- -----------------------------------------------------
-- Table `Intuitel`.`TimedependentSessionData`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `Intuitel`.`TimedependentSessionData` (
  `Session_Learner_id` VARCHAR(50) NOT NULL,
  `Session_LoginTime` DATETIME(4) NOT NULL,
  `Session_CourseId` VARCHAR(10) NOT NULL,
  `UpdateTime` DATETIME(4) NOT NULL,
  `ConnectionType` VARCHAR(45) NULL,
  `ConnectionStability` INT NULL DEFAULT NULL,
  `NoiseLevel` INT NULL DEFAULT NULL,
  `BatteryLevel` INT NULL DEFAULT NULL,
  PRIMARY KEY (`Session_Learner_id`, `Session_LoginTime`, `Session_CourseId`, `UpdateTime`),
  INDEX `fk_TimedependentSessionData_Session1_idx` (`Session_Learner_id` ASC, `Session_LoginTime` ASC, `Session_CourseId` ASC))
ENGINE = MyISAM;


-- -----------------------------------------------------
-- Table `Intuitel`.`MicroLearningPathway`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `Intuitel`.`MicroLearningPathway` (
  `Iri` VARCHAR(255) NOT NULL,
  `CourseId` VARCHAR(10) NOT NULL,
  `Title` VARCHAR(255) NULL,
  `Description` TEXT NULL DEFAULT NULL,
  PRIMARY KEY (`Iri`))
ENGINE = MyISAM;


-- -----------------------------------------------------
-- Table `Intuitel`.`MicroLearningPathwaySelection`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `Intuitel`.`MicroLearningPathwaySelection` (
  `MicroLearningPathway_Iri` VARCHAR(255) NOT NULL,
  `Learner_Id` VARCHAR(50) NOT NULL,
  `CourseId` VARCHAR(10) NOT NULL,
  `SelectionTime` DATETIME(4) NOT NULL,
  INDEX `fk_MicroLearningPathwaySelection_MicroLearningPathway1_idx` (`MicroLearningPathway_Iri` ASC),
  INDEX `fk_MicroLearningPathwaySelection_Learner1_idx` (`Learner_Id` ASC),
  PRIMARY KEY (`MicroLearningPathway_Iri`, `Learner_Id`, `CourseId`, `SelectionTime`))
ENGINE = MyISAM;


-- -----------------------------------------------------
-- Table `Intuitel`.`KnowledgeObjectScore`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `Intuitel`.`KnowledgeObjectScore` (
  `Learner_Id` VARCHAR(50) NOT NULL,
  `KnowledgeObject_Iri` VARCHAR(255) NOT NULL,
  `CourseId` VARCHAR(10) NOT NULL,
  `Time` DATETIME(4) NOT NULL,
  `Accessed` TINYINT(1) NOT NULL DEFAULT 0,
  `SeenPercentage` INT NULL DEFAULT NULL,
  `TextualCompletion` INT NULL,
  `Grade` INT NULL DEFAULT NULL,
  INDEX `fk_KnowledgeObjectScore_KnowledgeObject1_idx` (`KnowledgeObject_Iri` ASC),
  PRIMARY KEY (`Time`, `Learner_Id`, `CourseId`, `KnowledgeObject_Iri`),
  INDEX `fk_KnowledgeObjectScore_Learner1_idx` (`Learner_Id` ASC))
ENGINE = MyISAM;


-- -----------------------------------------------------
-- Table `Intuitel`.`MacroLearningPathway`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `Intuitel`.`MacroLearningPathway` (
  `Iri` VARCHAR(255) NOT NULL,
  `CourseId` VARCHAR(10) NOT NULL,
  `Title` VARCHAR(255) NULL DEFAULT NULL,
  `Description` TEXT NULL,
  PRIMARY KEY (`Iri`))
ENGINE = MyISAM;


-- -----------------------------------------------------
-- Table `Intuitel`.`MacroLearningPathwaySelection`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `Intuitel`.`MacroLearningPathwaySelection` (
  `MacroLearningPathway_Iri` VARCHAR(255) NOT NULL,
  `Learner_Id` VARCHAR(50) NOT NULL,
  `CourseId` VARCHAR(10) NOT NULL,
  `SelectionTime` DATETIME(6) NOT NULL,
  INDEX `fk_MacroLearningPathwaySelection_MacroLearningPathway1_idx` (`MacroLearningPathway_Iri` ASC),
  INDEX `fk_MacroLearningPathwaySelection_Learner1_idx` (`Learner_Id` ASC),
  PRIMARY KEY (`MacroLearningPathway_Iri`, `Learner_Id`, `CourseId`, `SelectionTime`))
ENGINE = MyISAM;


-- -----------------------------------------------------
-- Table `Intuitel`.`LmsParameter`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `Intuitel`.`LmsParameter` (
  `UpdateTime` DATETIME(4) NOT NULL,
  `Id` VARCHAR(255) NULL,
  `Name` VARCHAR(255) NULL DEFAULT NULL,
  `Type` VARCHAR(255) NULL DEFAULT NULL,
  `MediaLevel` VARCHAR(45) NULL DEFAULT NULL,
  `LoreLevel` INT NULL DEFAULT NULL,
  `UseLevel` INT NULL DEFAULT NULL,
  `ComStyle` INT NULL DEFAULT NULL,
  `NameFormality` INT NULL DEFAULT NULL,
  PRIMARY KEY (`UpdateTime`))
ENGINE = MyISAM;


-- -----------------------------------------------------
-- Table `Intuitel`.`LearningRecommendation`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `Intuitel`.`LearningRecommendation` (
  `LearningStep_Session_Learner_id` VARCHAR(50) NOT NULL,
  `LearningStep_Session_LoginTime` DATETIME(4) NOT NULL,
  `LearningStep_Session_CourseId` VARCHAR(10) NOT NULL,
  `LearningStep_StartTime` DATETIME(4) NOT NULL,
  `KnowledgeObject_Iri` VARCHAR(255) NOT NULL,
  `RecommendationValue` DOUBLE NOT NULL,
  PRIMARY KEY (`LearningStep_Session_Learner_id`, `LearningStep_Session_LoginTime`, `LearningStep_Session_CourseId`, `LearningStep_StartTime`, `KnowledgeObject_Iri`),
  INDEX `fk_LearningRecommendation_KnowledgeObject1_idx` (`KnowledgeObject_Iri` ASC),
  INDEX `fk_LearningRecommendation_LearningStep1_idx` (`LearningStep_Session_Learner_id` ASC, `LearningStep_Session_LoginTime` ASC, `LearningStep_Session_CourseId` ASC, `LearningStep_StartTime` ASC))
ENGINE = MyISAM;


-- -----------------------------------------------------
-- Table `Intuitel`.`ConceptContainerScore`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `Intuitel`.`ConceptContainerScore` (
  `Learner_Id` VARCHAR(50) NOT NULL,
  `ConceptContainer_Iri` VARCHAR(255) NOT NULL,
  `CourseId` VARCHAR(10) NOT NULL,
  `Time` DATETIME(4) NOT NULL,
  `Completed` TINYINT(1) NOT NULL DEFAULT 0,
  INDEX `fk_ConceptContainerScore_Learner1_idx` (`Learner_Id` ASC),
  INDEX `fk_ConceptContainerScore_ConceptContainer1_idx` (`ConceptContainer_Iri` ASC),
  PRIMARY KEY (`Learner_Id`, `ConceptContainer_Iri`, `CourseId`, `Time`))
ENGINE = MyISAM;


SET SQL_MODE=@OLD_SQL_MODE;
SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS;
SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS;
